Debian Bug report logs - #574795
libata missing workaround for HPA overlapping normal partitions

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Cesare Leonardi <celeonar@gmail.com>

Date: Sun, 21 Mar 2010 02:36:02 UTC

Severity: serious

Tags: moreinfo, pending

Merged with 572618

Found in versions 2.6.32-10, 2.6.32-8

Fixed in version linux-2.6/2.6.32-13

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#574795; Package linux-image-2.6.32-4-686. (Sun, 21 Mar 2010 02:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cesare Leonardi <celeonar@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 21 Mar 2010 02:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cesare Leonardi <celeonar@gmail.com>
To: submit@bugs.debian.org
Subject: Libata transition and HPA caused disk size truncation
Date: Sun, 21 Mar 2010 03:33:27 +0100
Package: linux-image-2.6.32-4-686
Version: 2.6.32-10
Severity: normal

I will be verbose mainly to help the kernel team, because i suspect
this problem will arise for others during this libata transition.
Dear maintainter, this bug has documentation purposes: treat it as you
like. It isn't really a bug: it's a mixture of buggy BIOS and kernel
design decisions that, on some non-new hardware, can cause serious
trouble during this transition.
And however, as reported below, i've already managed to find a
workaround.

The problem: after rebooting with the new libata enabled kernel, my
system immediately stopped the boot phase showing filesystem problems
and asking me to do an fsck. The reported cause was an home partition
that overflow the disk size.
I haven't run the suggested fsck, but rather some investigation and to
my surprise i discovered that my 160 GB hard disk is now seen as a
137 GB!
As a consequence this made invisible my swap partition (beyond 137 GB)
and my home partition is partially seen.

Weird, particular because the old ide system has never complained.
And strange because this is a tipical ATA/BIOS limit number: 528 MB,
8 GB, 137 GB.
Also i couldn't see relations to the fact that i've updated myself
fstab and grub config file to use /dev/disk/by-uuid/.

I have a Sony VGN-B3VP notebook that came with a 60 GB Hitachi hard
disk. Some month ago i have bougth the current 160 GB Samsung hard
disk, and Debian seemed to be happy with it.

However Google have given me the answer to these troubles, and it's
named HPA (Host Protected Area):
http://en.wikipedia.org/wiki/Host_protected_area

And seems that other distribution that has made the libata transition
have been somewhat hit by this problem:
http://osdir.com/ml/linux.ubuntu.devel.kernel.general/2007-09/msg00006.html

Entering my bios i've found my drive declared effectively as 137 GB!
Never noticed before.

Then, rebooting with the previous 2.6.32-3-686 kernel i've found these
messages:
[    4.563873] hda: Host Protected Area detected.
[    4.563874]  current capacity is 268435455 sectors (137438 MB)
[    4.563876]  native  capacity is 312581808 sectors (160041 MB)
[    4.563880] hda: 268435455 sectors (137438 MB) w/8192KiB Cache, CHS=16709/255/63
[    4.565793] hda: cache flushes supported
[    4.565846]  hda: hda1 hda2 hda3
[    4.592183] hda: p2 size 262148670 exceeds device capacity, enabling native capacity
[    4.597405] hda: detected capacity change from 137438952960 to 160041885696

So my BIOS is forcing the OS to see not more than 137 GB.
Someone say that some vendors work this way to avoid non authorized
hardware.
However no BIOS update available, no BIOS settings i can tweak.

But it's clear that libata treat HPA in a different way than old IDE:
the latter will enable it, showing the entire disk capacity, libata not.
And this is the cause of my problem.

Eventually i've found a kernel command line parameter in
kernel-parameters.txt.gz that solved my problem:
libata.ignore_hpa=1

And now i'm writing this bug with the libata enabled kernel.  :-)

Thinking about it, i believe that it's right to leave tha HPA behaviour
as it is now. There are manufacturers that use this area for recovery
purposes and other stuff. If someone wants really workaround a vendor
barrier (buggy like mine or not) then he can do it (with the boot
option).
Ben, kernel team, i only suggest you to add a check in your migration
script: maybe you can lookup for "Host Protected Area detected" in
dmesg during the kernel install and, if that string is found, you can
show a warning message, informing that there can be problem on the next
reboot. An example:

----------------------------------------------
WARNING:
Host Protected Area found on your hard disk.
The kernel you are installing can potentially view a disk capacity
lower that the real one, causing fail on mounting some partitions.
It could be necessary to add this kernel command line options:
libata.ignore_hpa=1$
----------------------------------------------

It's also important that if, during the boot with the libata kernel,
the user will be asked to do an fsck, like me, he must not follow the
request or, i think, he would massively corrupt its filesystem.

Hope to help.

Cesare.



-- Package-specific info:
** Version:
Linux version 2.6.32-4-686 (Debian 2.6.32-10) (maks@debian.org) (gcc version 4.3.4 (Debian 4.3.4-8) ) #1 SMP Wed Mar 17 17:16:41 UTC 2010

** Command line:
root=/dev/disk/by-uuid/07b633c9-1242-48ee-a6f4-f37c43f639fd ro quiet lapic hpet=force libata.ignore_hpa=1

** Not tainted

** Kernel log:
[    2.796115] sd 0:0:0:0: [sda] Attached SCSI disk
[    2.807467] sd 0:0:0:0: Attached scsi generic sg0 type 0
[    2.807774] sr 1:0:0:0: Attached scsi generic sg1 type 5
[    3.163963] kjournald starting.  Commit interval 5 seconds
[    3.163972] EXT3-fs: mounted filesystem with ordered data mode.
[    4.736269] udev: starting version 151
[    5.142660] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    5.199941] input: PC Speaker as /devices/platform/pcspkr/input/input4
[    5.436093] input: PS/2 Mouse as /devices/platform/i8042/serio1/input/input5
[    5.436305] ACPI: AC Adapter [ACAD] (on-line)
[    5.458178] input: AlpsPS/2 ALPS GlidePoint as /devices/platform/i8042/serio1/input/input6
[    5.464305] intel_rng: FWH not detected
[    5.474558] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[    5.577994] Marking TSC unstable due to TSC halts in idle
[    5.578808] processor LNXCPU:00: registered as cooling_device0
[    5.579171] Switching to clocksource hpet
[    5.638316] lib80211: common routines for IEEE802.11 drivers
[    5.638320] lib80211_crypt: registered algorithm 'NULL'
[    5.681842] sony-laptop: Sony Programmable IO Control Driver v0.6.
[    5.681860] sony-laptop: detected Type2 model
[    5.682264] input: Sony Vaio Keys as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/device:0c/SNY6001:00/input/input7
[    5.682646] input: Sony Vaio Jogdial as /devices/virtual/input/input8
[    5.683121] sony-laptop: device allocated minor is 57
[    5.684227] sony-laptop: Sony Notebook Control Driver v0.6.
[    5.696206] ieee80211: 802.11 data/management/control stack, git-1.1.13
[    5.696210] ieee80211: Copyright (C) 2004-2005 Intel Corporation <jketreno@linux.intel.com>
[    5.721992] ipw2200: Intel(R) PRO/Wireless 2200/2915 Network Driver, 1.2.2kmprq
[    5.721996] ipw2200: Copyright(c) 2003-2006 Intel Corporation
[    5.722091] ipw2200 0000:02:0b.0: power state changed by ACPI to D0
[    5.722106] ipw2200 0000:02:0b.0: PCI INT A -> Link[LNKD] -> GSI 9 (level, low) -> IRQ 9
[    5.722633] ipw2200: Detected Intel PRO/Wireless 2200BG Network Connection
[    5.722684] ipw2200 0000:02:0b.0: firmware: requesting ipw2200-bss.fw
[    5.761763] i801_smbus 0000:00:1f.3: PCI INT B -> Link[LNKB] -> GSI 9 (level, low) -> IRQ 9
[    5.761771] ACPI: I/O resource 0000:00:1f.3 [0x1880-0x189f] conflicts with ACPI region SBUS [0x1880-0x188f]
[    5.761904] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[    5.855979] ACPI: Battery Slot [BAT1] (battery present)
[    6.072693] ipw2200: Radio Frequency Kill Switch is On:
[    6.072695] Kill switch must be turned off for wireless networking to work.
[    6.073942] ipw2200: Detected geography ZZD (13 802.11bg channels, 0 802.11a channels)
[    6.074194] ACPI: PCI Interrupt Link [LNKF] enabled at IRQ 5
[    6.074199] PCI: setting IRQ 5 as level-triggered
[    6.074205] tifm_7xx1 0000:02:04.3: PCI INT B -> Link[LNKF] -> GSI 5 (level, low) -> IRQ 5
[    6.074508] yenta_cardbus 0000:02:04.0: CardBus bridge found [104d:818f]
[    6.074523] yenta_cardbus 0000:02:04.0: Enabling burst memory read transactions
[    6.074528] yenta_cardbus 0000:02:04.0: Using CSCINT to route CSC interrupts to PCI
[    6.074532] yenta_cardbus 0000:02:04.0: Routing CardBus interrupts to PCI
[    6.074537] yenta_cardbus 0000:02:04.0: TI: mfunc 0x01001b22, devctl 0x64
[    6.096048] tifm_core: MMC/SD card detected in socket 0:0
[    6.231762] Intel ICH Modem 0000:00:1f.6: PCI INT B -> Link[LNKB] -> GSI 9 (level, low) -> IRQ 9
[    6.231785] Intel ICH Modem 0000:00:1f.6: setting latency timer to 64
[    6.304759] yenta_cardbus 0000:02:04.0: ISA IRQ mask 0x0c98, PCI irq 9
[    6.304764] yenta_cardbus 0000:02:04.0: Socket status: 30000006
[    6.304769] pci_bus 0000:02: Raising subordinate bus# of parent bus (#02) from #02 to #06
[    6.304779] yenta_cardbus 0000:02:04.0: pcmcia: parent PCI bridge I/O window: 0x3000 - 0x3fff
[    6.304785] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x3000-0x3fff: clean.
[    6.305075] yenta_cardbus 0000:02:04.0: pcmcia: parent PCI bridge Memory window: 0xe0200000 - 0xe02fffff
[    6.305080] yenta_cardbus 0000:02:04.0: pcmcia: parent PCI bridge Memory window: 0x40000000 - 0x43ffffff
[    6.336056] MC'97 1 converters and GPIO not ready (0xff00)
[    6.336725] Intel ICH 0000:00:1f.5: PCI INT B -> Link[LNKB] -> GSI 9 (level, low) -> IRQ 9
[    6.336779] Intel ICH 0000:00:1f.5: setting latency timer to 64
[    6.741160] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x100-0x4ff: excluding 0x4d0-0x4d7
[    6.743490] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x800-0x8ff: clean.
[    6.744166] pcmcia_socket pcmcia_socket0: cs: IO port probe 0xc00-0xcff: clean.
[    6.744912] pcmcia_socket pcmcia_socket0: cs: IO port probe 0xa00-0xaff: clean.
[    7.260025] intel8x0_measure_ac97_clock: measured 55415 usecs (2670 samples)
[    7.260029] intel8x0: clocking to 48000
[    7.936979] Adding 5245212k swap on /dev/sda3.  Priority:-1 extents:1 across:5245212k
[    8.088285] EXT3 FS on sda1, internal journal
[    8.897517] kjournald starting.  Commit interval 5 seconds
[    8.897751] EXT3 FS on sda2, internal journal
[    8.897756] EXT3-fs: mounted filesystem with ordered data mode.
[    9.936050] ip_tables: (C) 2000-2006 Netfilter Core Team
[   10.008154] nf_conntrack version 0.5.0 (16019 buckets, 64076 max)
[   10.008682] CONFIG_NF_CT_ACCT is deprecated and will be removed soon. Please use
[   10.008686] nf_conntrack.acct=1 kernel parameter, acct=1 nf_conntrack module option or
[   10.008688] sysctl net.netfilter.nf_conntrack_acct=1 to enable it.
[   10.230197] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   11.162007] fuse init (API version 7.13)
[   11.419090] input: ACPI Virtual Keyboard Device as /devices/virtual/input/input9
[   18.570608] Bluetooth: Core ver 2.15
[   18.570718] NET: Registered protocol family 31
[   18.570724] Bluetooth: HCI device and connection manager initialized
[   18.570732] Bluetooth: HCI socket layer initialized
[   18.640270] Bluetooth: L2CAP ver 2.14
[   18.640277] Bluetooth: L2CAP socket layer initialized
[   18.655787] Bluetooth: RFCOMM TTY layer initialized
[   18.655791] Bluetooth: RFCOMM socket layer initialized
[   18.656027] Bluetooth: RFCOMM ver 1.11
[   18.768635] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   18.768639] Bluetooth: BNEP filters: protocol multicast
[   18.834253] Bridge firewalling registered
[   19.095429] Bluetooth: SCO (Voice Link) ver 0.6
[   19.095437] Bluetooth: SCO socket layer initialized
[  316.513106] PPP generic driver version 2.4.2
[  541.000161] e100: eth0 NIC Link is Up 100 Mbps Full Duplex
[  541.000889] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  543.000318] e100: eth0 NIC Link is Down
[  551.696022] eth0: no IPv6 routers present
[  563.000172] e100: eth0 NIC Link is Up 100 Mbps Full Duplex
[  567.964934] NET: Registered protocol family 24

** Model information
not available

** Loaded modules:
Module                  Size  Used by
xt_TCPMSS               2303  1
xt_tcpmss               1017  1
iptable_mangle          2325  1
pppoe                   6849  2
pppox                   1242  1 pppoe
ppp_generic            16363  6 pppoe,pppox
slhc                    3691  1 ppp_generic
sco                     5837  2
bridge                 32987  0
stp                      996  1 bridge
bnep                    7444  2
rfcomm                 25131  0
l2cap                  21677  6 bnep,rfcomm
crc16                   1027  1 l2cap
bluetooth              36327  6 sco,bnep,rfcomm,l2cap
acpi_cpufreq            4943  0
cpufreq_conservative     4018  0
cpufreq_stats           1940  0
cpufreq_userspace       1480  0
cpufreq_powersave        602  0
uinput                  4796  1
fuse                   43758  1
xt_tcpudp               1743  4
nf_conntrack_ipv4       7597  6
nf_defrag_ipv4           779  1 nf_conntrack_ipv4
xt_state                 927  6
nf_conntrack           38067  2 nf_conntrack_ipv4,xt_state
xt_multiport            1775  1
iptable_filter          1790  1
ip_tables               7690  2 iptable_mangle,iptable_filter
x_tables                8327  6 xt_TCPMSS,xt_tcpmss,xt_tcpudp,xt_state,xt_multiport,ip_tables
pcmcia                 17442  0
tifm_sd                 6506  0
snd_intel8x0m           8100  0
snd_intel8x0           19523  5
mmc_core               38503  1 tifm_sd
snd_ac97_codec         79140  2 snd_intel8x0m,snd_intel8x0
ac97_bus                 710  1 snd_ac97_codec
snd_pcm                47210  4 snd_intel8x0m,snd_intel8x0,snd_ac97_codec
yenta_socket           16403  1
snd_seq                35463  0
rsrc_nonstatic          7057  1 yenta_socket
snd_timer              12258  3 snd_pcm,snd_seq
battery                 3782  0
pcmcia_core            20450  3 pcmcia,yenta_socket,rsrc_nonstatic
tifm_7xx1               3014  0
i2c_i801                6442  0
tifm_core               3260  2 tifm_sd,tifm_7xx1
snd_seq_device          3673  1 snd_seq
ipw2200               108368  0
snd                    34363  15 snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pcm,snd_seq,snd_timer,snd_seq_device
libipw                 18439  1 ipw2200
sony_laptop            20205  0
rfkill                 10264  4 bluetooth,sony_laptop
lib80211                2870  2 ipw2200,libipw
soundcore               3450  1 snd
snd_page_alloc          5045  3 snd_intel8x0m,snd_intel8x0,snd_pcm
processor              26599  2 acpi_cpufreq
joydev                  6771  0
shpchp                 21220  0
evdev                   5609  21
ac                      1640  0
rng_core                2178  0
pcspkr                  1207  0
psmouse                44413  0
serio_raw               2916  0
pci_hotplug            18065  1 shpchp
ext3                   94200  2
jbd                    32169  1 ext3
mbcache                 3762  1 ext3
sg                     15964  0
sr_mod                 10770  0
sd_mod                 25785  4
crc_t10dif              1012  1 sd_mod
cdrom                  26487  1 sr_mod
ata_generic             2015  0
ata_piix               17133  3
i915                  220272  2
drm_kms_helper         18297  1 i915
uhci_hcd               16057  0
firewire_ohci          16509  0
libata                114416  2 ata_generic,ata_piix
e100                   22317  0
drm                   112200  3 i915,drm_kms_helper
i2c_algo_bit            3497  1 i915
firewire_core          31143  1 firewire_ohci
crc_itu_t               1035  1 firewire_core
button                  3598  1 i915
mii                     2714  1 e100
ehci_hcd               27582  0
scsi_mod              101305  4 sg,sr_mod,sd_mod,libata
usbcore                98162  3 uhci_hcd,ehci_hcd
nls_base                4541  1 usbcore
i2c_core               12648  5 i2c_i801,i915,drm_kms_helper,drm,i2c_algo_bit
video                  14605  1 i915
output                  1204  1 video
thermal                 9206  0
fan                     2586  0
thermal_sys             9378  4 processor,video,thermal,fan
dm_mirror               9671  0
dm_region_hash          5644  1 dm_mirror
dm_log                  6369  2 dm_mirror,dm_region_hash
dm_mod                 46078  2 dm_mirror,dm_log

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3580] (rev 02)
	Subsystem: Sony Corporation Device [104d:8191]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at <unassigned> (32-bit, prefetchable)
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:00.1 System peripheral [0880]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3584] (rev 02)
	Subsystem: Sony Corporation Device [104d:8191]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:00.3 System peripheral [0880]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3585] (rev 02)
	Subsystem: Sony Corporation Device [104d:8191]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:02.0 VGA compatible controller [0300]: Intel Corporation 82852/855GM Integrated Graphics Device [8086:3582] (rev 02) (prog-if 00 [VGA controller])
	Subsystem: Sony Corporation Device [104d:8192]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+
	Latency: 0
	Interrupt: pin A routed to IRQ 9
	Region 0: Memory at e8000000 (32-bit, prefetchable) [size=128M]
	Region 1: Memory at e0000000 (32-bit, non-prefetchable) [size=512K]
	Region 2: I/O ports at 1800 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:02.1 Display controller [0380]: Intel Corporation 82852/855GM Integrated Graphics Device [8086:3582] (rev 02)
	Subsystem: Sony Corporation Device [104d:8192]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Region 0: Memory at f0000000 (32-bit, prefetchable) [size=128M]
	Region 1: Memory at e0080000 (32-bit, non-prefetchable) [size=512K]
	Capabilities: <access denied>

00:1d.0 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 [8086:24c2] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Sony Corporation Device [104d:8188]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 9
	Region 4: I/O ports at 1820 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 [8086:24c4] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Sony Corporation Device [104d:8188]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 9
	Region 4: I/O ports at 1840 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller [8086:24cd] (rev 03) (prog-if 20 [EHCI])
	Subsystem: Sony Corporation Device [104d:8188]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 9
	Region 0: Memory at e0100000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev 83) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR+ INTx-
	Latency: 0
	Bus: primary=00, secondary=02, subordinate=06, sec-latency=64
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: e0200000-e02fffff
	Prefetchable memory behind bridge: 40000000-43ffffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-

00:1f.0 ISA bridge [0601]: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge [8086:24cc] (rev 03)
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:1f.1 IDE interface [0101]: Intel Corporation 82801DBM (ICH4-M) IDE Controller [8086:24ca] (rev 03) (prog-if 8a [Master SecP PriP])
	Subsystem: Sony Corporation Device [104d:8188]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 255
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at 1810 [size=16]
	Region 5: Memory at 44000000 (32-bit, non-prefetchable) [size=1K]
	Kernel driver in use: ata_piix

00:1f.3 SMBus [0c05]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller [8086:24c3] (rev 03)
	Subsystem: Sony Corporation Device [104d:8188]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 9
	Region 4: I/O ports at 1880 [size=32]

00:1f.5 Multimedia audio controller [0401]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller [8086:24c5] (rev 03)
	Subsystem: Sony Corporation Device [104d:81c5]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 9
	Region 0: I/O ports at 1c00 [size=256]
	Region 1: I/O ports at 18c0 [size=64]
	Region 2: Memory at e0100c00 (32-bit, non-prefetchable) [size=512]
	Region 3: Memory at e0100800 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: Intel ICH

00:1f.6 Modem [0703]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem Controller [8086:24c6] (rev 03) (prog-if 00 [Generic])
	Subsystem: Sony Corporation Device [104d:818c]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 9
	Region 0: I/O ports at 2400 [size=256]
	Region 1: I/O ports at 2000 [size=128]
	Capabilities: <access denied>
	Kernel driver in use: Intel ICH Modem

02:04.0 CardBus bridge [0607]: Texas Instruments PCI7420 CardBus Controller [104c:ac8e]
	Subsystem: Sony Corporation Device [104d:818f]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 9
	Region 0: Memory at e0208000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=02, secondary=03, subordinate=06, sec-latency=176
	Memory window 0: 40000000-43fff000 (prefetchable)
	Memory window 1: 48000000-4bfff000
	I/O window 0: 00003400-000034ff
	I/O window 1: 00003800-000038ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus

02:04.2 FireWire (IEEE 1394) [0c00]: Texas Instruments PCI7x20 1394a-2000 OHCI Two-Port PHY/Link-Layer Controller [104c:802e] (prog-if 10 [OHCI])
	Subsystem: Sony Corporation Device [104d:818f]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (750ns min, 1000ns max), Cache Line Size: 64 bytes
	Interrupt: pin C routed to IRQ 9
	Region 0: Memory at e0207000 (32-bit, non-prefetchable) [size=2K]
	Region 1: Memory at e0200000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci

02:04.3 Mass storage controller [0180]: Texas Instruments PCI7420/7620 Combo CardBus, 1394a-2000 OHCI and SD/MS-Pro Controller [104c:ac8f]
	Subsystem: Sony Corporation Device [104d:8190]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (1750ns min, 1000ns max), Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 5
	Region 0: Memory at e0204000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: tifm_7xx1

02:08.0 Ethernet controller [0200]: Intel Corporation 82801DB PRO/100 VE (MOB) Ethernet Controller [8086:103d] (rev 83)
	Subsystem: Sony Corporation Device [104d:818d]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 66 (2000ns min, 14000ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 9
	Region 0: Memory at e0205000 (32-bit, non-prefetchable) [size=4K]
	Region 1: I/O ports at 3000 [size=64]
	Capabilities: <access denied>
	Kernel driver in use: e100

02:0b.0 Network controller [0280]: Intel Corporation PRO/Wireless 2200BG [Calexico2] Network Connection [8086:4220] (rev 05)
	Subsystem: Intel Corporation Device [8086:2753]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (750ns min, 6000ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 9
	Region 0: Memory at e0206000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: ipw2200


** USB devices:
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-4-686 (SMP w/1 CPU core)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.32-4-686 depends on:
ii  debconf [debconf-2.0]        1.5.28      Debian configuration management sy
ii  initramfs-tools [linux-initr 0.93.4      tools for generating an initramfs
ii  linux-base                   2.6.32-10   Linux image base package
ii  module-init-tools            3.12~pre2-1 tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-4-686 recommends:
ii  firmware-linux-free           2.6.32-10  Binary firmware for various driver
ii  libc6-i686                    2.10.2-6   GNU C Library: Shared libraries [i

Versions of packages linux-image-2.6.32-4-686 suggests:
ii  grub-legacy [grub]            0.97-59    GRand Unified Bootloader (Legacy v
ii  linux-doc-2.6.32              2.6.32-10  Linux kernel specific documentatio

Versions of packages linux-image-2.6.32-4-686 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
ii  firmware-ipw2x00              0.23       Binary firmware for Intel Pro Wire
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
ii  firmware-linux                0.23       Binary firmware for various driver
ii  firmware-linux-nonfree        0.23       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)

-- debconf information:
  linux-image-2.6.32-4-686/prerm/would-invalidate-boot-loader-2.6.32-4-686: true
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.32-4-686/postinst/bootloader-test-error-2.6.32-4-686:
  linux-image-2.6.32-4-686/postinst/depmod-error-initrd-2.6.32-4-686: false
  linux-image-2.6.32-4-686/postinst/bootloader-error-2.6.32-4-686:
  linux-image-2.6.32-4-686/postinst/missing-firmware-2.6.32-4-686:
  linux-image-2.6.32-4-686/prerm/removing-running-kernel-2.6.32-4-686: true







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#574795; Package linux-image-2.6.32-4-686. (Sun, 21 Mar 2010 04:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 21 Mar 2010 04:30:03 GMT) Full text and rfc822 format available.

Message #10 received at 574795@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Cesare Leonardi <celeonar@gmail.com>, 574795@bugs.debian.org
Subject: Re: Bug#574795: Libata transition and HPA caused disk size truncation
Date: Sun, 21 Mar 2010 04:27:00 +0000
[Message part 1 (text/plain, inline)]
On Sun, 2010-03-21 at 03:33 +0100, Cesare Leonardi wrote:
> Package: linux-image-2.6.32-4-686
> Version: 2.6.32-10
> Severity: normal
>
> I will be verbose mainly to help the kernel team, because i suspect
> this problem will arise for others during this libata transition.
> Dear maintainter, this bug has documentation purposes: treat it as you
> like. It isn't really a bug: it's a mixture of buggy BIOS and kernel
> design decisions that, on some non-new hardware, can cause serious
> trouble during this transition.
> And however, as reported below, i've already managed to find a
> workaround.

Thank you very much for taking the time to research and document this.

> The problem: after rebooting with the new libata enabled kernel, my
> system immediately stopped the boot phase showing filesystem problems
> and asking me to do an fsck. The reported cause was an home partition
> that overflow the disk size.
> I haven't run the suggested fsck, but rather some investigation and to
> my surprise i discovered that my 160 GB hard disk is now seen as a
> 137 GB!
> As a consequence this made invisible my swap partition (beyond 137 GB)
> and my home partition is partially seen.
[...]
> Then, rebooting with the previous 2.6.32-3-686 kernel i've found these
> messages:
> [    4.563873] hda: Host Protected Area detected.
> [    4.563874]  current capacity is 268435455 sectors (137438 MB)
> [    4.563876]  native  capacity is 312581808 sectors (160041 MB)
> [    4.563880] hda: 268435455 sectors (137438 MB) w/8192KiB Cache, CHS=16709/255/63
> [    4.565793] hda: cache flushes supported
> [    4.565846]  hda: hda1 hda2 hda3
> [    4.592183] hda: p2 size 262148670 exceeds device capacity, enabling native capacity
> [    4.597405] hda: detected capacity change from 137438952960 to 160041885696

This is interesting.  I think we should apply this same workaround to
libata if possible.

> So my BIOS is forcing the OS to see not more than 137 GB.
> Someone say that some vendors work this way to avoid non authorized
> hardware.
> However no BIOS update available, no BIOS settings i can tweak.

I think this is a bug in the BIOS, not any intentional restriction.

The HPA is implemented by the drive and the BIOS must temporarily
override it in order to access a recovery partition.  If the BIOS uses
LBA rather than LBA48 the drive cannot report its full capacity but will
report the maximum size supported by LBA which is 2^28 sectors (about
137 GB).  Then when the BIOS attempts to override any HPA (i.e. make the
entire drive accessible), it actually reduces the accessible size to
this.

[...]
> Ben, kernel team, i only suggest you to add a check in your migration
> script: maybe you can lookup for "Host Protected Area detected" in
> dmesg during the kernel install and, if that string is found, you can
> show a warning message, informing that there can be problem on the next
> reboot. An example:

I don't want to do this.  The behaviour should not change.  But if we
cannot apply that workaround then I will add some sort of warning.

Ben.

-- 
Ben Hutchings
Power corrupts.  Absolute power is kind of neat.
                           - John Lehman, Secretary of the US Navy 1981-1987
[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'normal' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 21 Mar 2010 04:30:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sun, 21 Mar 2010 05:33:24 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 21 Mar 2010 15:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#574795; Package linux-image-2.6.32-4-686. (Sun, 21 Mar 2010 16:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cesare Leonardi <celeonar@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 21 Mar 2010 16:33:06 GMT) Full text and rfc822 format available.

Message #21 received at 574795@bugs.debian.org (full text, mbox):

From: Cesare Leonardi <celeonar@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>, 574795@bugs.debian.org
Subject: Re: Bug#574795: Libata transition and HPA caused disk size truncation
Date: Sun, 21 Mar 2010 17:28:12 +0100
[Message part 1 (text/plain, inline)]
Ben Hutchings wrote:
>> Then, rebooting with the previous 2.6.32-3-686 kernel i've found these
>> messages:
>> [    4.563873] hda: Host Protected Area detected.
>> [    4.563874]  current capacity is 268435455 sectors (137438 MB)
>> [    4.563876]  native  capacity is 312581808 sectors (160041 MB)
>> [    4.563880] hda: 268435455 sectors (137438 MB) w/8192KiB Cache, CHS=16709/255/63
>> [    4.565793] hda: cache flushes supported
>> [    4.565846]  hda: hda1 hda2 hda3
>> [    4.592183] hda: p2 size 262148670 exceeds device capacity, enabling native capacity
>> [    4.597405] hda: detected capacity change from 137438952960 to 160041885696
> 
> This is interesting.  I think we should apply this same workaround to
> libata if possible.

Maybe the following further information can give you more information to 
think of.

I've rebooted in recovery mode with 2.6.32-4 without the HPA option (the 
same as my first boot with this kernel) and the fsck message i see is 
what reported in the "libata_hpa0-fsck-msg.txt" attachment.
Also there are the following files captured under the same condition:
The full dmesg log: libata_hpa0-dmesg-recovery-full.txt
Output of fdisk -l /dev/sda: libata_hpa0-fdisk-l.txt
Output of cat /proc/partitions: libata_hpa0-proc.partitions.txt

Then i've rebooted in recovery mode with the same kernel but with the 
libata.ignore_hpa=1 workaround and i've captured the same data (hpa1).
Ah, the previous fsck message has marked the partition dirty and so 
during this boot an fsck took place automatically.

In particular you can find interesting the following portion of the 
above dmesg, cleaned to only show, i hope, interesting information.

libata.ignore_hpa=0 (default)
-----------------------------
libata version 3.00 loaded.
ata_piix 0000:00:1f.1: version 2.13
ata_piix 0000:00:1f.1: enabling device (0005 -> 0007)
ata_piix 0000:00:1f.1: can't derive routing for PCI INT A
ata_piix 0000:00:1f.1: setting latency timer to 64
scsi0 : ata_piix
scsi1 : ata_piix
ata1: PATA max UDMA/100 cmd 0x1f0 ctl 0x3f6 bmdma 0x1810 irq 14
ata1.00: HPA detected: current 268435455, native 312581808
ata1.00: ATA-8: SAMSUNG HM160HC, LQ100-10, max UDMA/100
ata1.00: 268435455 sectors, multi 16: LBA48
ata1.00: configured for UDMA/100
scsi 0:0:0:0: Direct-Access     ATA      SAMSUNG HM160HC  LQ10 PQ: 0 ANSI: 5
scsi 1:0:0:0: CD-ROM            MATSHITA UJ-840D          1.00 PQ: 0 ANSI: 5
sd 0:0:0:0: [sda] 268435455 512-byte logical blocks: (137 GB/127 GiB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't 
support DPO or FUA
 sda:
 sda1 sda2 sda3
sda: p2 size 262148670 exceeds device capacity, limited to end of disk
sda: p3 ignored, start 287306460 is behind the end of the disk
sd 0:0:0:0: [sda] Attached SCSI disk
-----------------------------

libata.ignore_hpa=1
-----------------------------
libata version 3.00 loaded.
ata_piix 0000:00:1f.1: version 2.13
ata_piix 0000:00:1f.1: enabling device (0005 -> 0007)
ata_piix 0000:00:1f.1: can't derive routing for PCI INT A
ata_piix 0000:00:1f.1: setting latency timer to 64
scsi0 : ata_piix
scsi1 : ata_piix
ata1: PATA max UDMA/100 cmd 0x1f0 ctl 0x3f6 bmdma 0x1810 irq 14
ata1.00: HPA unlocked: 268435455 -> 312581808, native 312581808
ata1.00: ATA-8: SAMSUNG HM160HC, LQ100-10, max UDMA/100
ata1.00: 312581808 sectors, multi 16: LBA48
ata1.00: configured for UDMA/100
scsi 0:0:0:0: Direct-Access     ATA      SAMSUNG HM160HC  LQ10 PQ: 0 ANSI: 5
scsi 1:0:0:0: CD-ROM            MATSHITA UJ-840D          1.00 PQ: 0 ANSI: 5
sd 0:0:0:0: [sda] 312581808 512-byte logical blocks: (160 GB/149 GiB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't 
support DPO or FUA
 sda:
 sda1 sda2 sda3
sd 0:0:0:0: [sda] Attached SCSI disk
-----------------------------

You can note that leaving the configurations at its default, the kernel 
is aware of the HPA, and recognize all my three partitions, but to 
honour the HPA region make you see only the partions outside HPA.

You say that Debian can enable the same workaround as the old ide but 
maybe we should first understand why upstream has choosen tho change the 
kernel behaviour.
From my point of view seems that upstream preferred to leave hidden 
what the manufacturer as choosen to be hidden (rightly or not) and as 
provided a kernel options to override it, if needed.

>> Ben, kernel team, i only suggest you to add a check in your migration
>> script: maybe you can lookup for "Host Protected Area detected" in
>> dmesg during the kernel install and, if that string is found, you can
>> show a warning message, informing that there can be problem on the next
>> reboot. An example:
> 
> I don't want to do this.  The behaviour should not change.  But if we
> cannot apply that workaround then I will add some sort of warning.

I understand your point.
It would be better if there are some proc or sys file we can inquiry to 
obtain the same information. I don't know if it exist.

Thank you very much for you work.

Cesare.
[libata_hpa0-fsck-msg.txt (text/plain, inline)]
INIT: version 2.86 booting
Starting the hotplug events dispatcher: udevd.
Synthesizing the initial hotplug events...done.
Waiting for /dev to be fully populated...[    5.382346] ACPI: I/O resource 0000:00:1f.3 [0x1880-0x189f] conflicts with ACPI region SBUS [0x1880-0x188f]
done.
Setting preliminary keymap...done.
Setting parameters of disc:  /dev/disk/by-id/ata-SAMSUNG_HM160HC_S12TJF0S982076.
Activating swap...done.
Checking root file system...fsck from util-linux-ng 2.16.2
debian-root: clean, 192643/786432 files, 1199565/3144715 blocks
done.
Cleaning up ifupdown....
Checking file systems...fsck from util-linux-ng 2.16.2
debian-home: The filesystem size (according to the superblock) is 32768583 blocks
The physical size of the device is 30409708 blocks
Either the superblock or the partition table is likely to be corrupt!


debian-home: UNEXPECTED INCONSISTENCY; RUN fsck MANUALLY.
        (i.e., without -a or -p options)
fsck died with exit status 4
failed (code 4).
File system check failed. A log is being saved in /var/log/fsck/checkfs if that location is writable. Please repair the file system manually. ... failed!
A maintenance shell will now be started. CONTROL-D will terminate this shell and resume system boot. ... (warning).
Give root password for maintenance
(or type Control-D to continue):
[libata_hpa0-dmesg-recovery-full.txt (text/plain, inline)]
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 2.6.32-4-686 (Debian 2.6.32-10) (maks@debian.org) (gcc version 4.3.4 (Debian 4.3.4-8) ) #1 SMP Wed Mar 17 17:16:41 UTC 2010
[    0.000000] KERNEL supported cpus:
[    0.000000]   Intel GenuineIntel
[    0.000000]   AMD AuthenticAMD
[    0.000000]   NSC Geode by NSC
[    0.000000]   Cyrix CyrixInstead
[    0.000000]   Centaur CentaurHauls
[    0.000000]   Transmeta GenuineTMx86
[    0.000000]   Transmeta TransmetaCPU
[    0.000000]   UMC UMC UMC UMC
[    0.000000] BIOS-provided physical RAM map:
[    0.000000]  BIOS-e820: 0000000000000000 - 000000000009f800 (usable)
[    0.000000]  BIOS-e820: 000000000009f800 - 00000000000a0000 (reserved)
[    0.000000]  BIOS-e820: 00000000000d8000 - 0000000000100000 (reserved)
[    0.000000]  BIOS-e820: 0000000000100000 - 000000003f6e0000 (usable)
[    0.000000]  BIOS-e820: 000000003f6e0000 - 000000003f6ec000 (ACPI data)
[    0.000000]  BIOS-e820: 000000003f6ec000 - 000000003f700000 (ACPI NVS)
[    0.000000]  BIOS-e820: 000000003f700000 - 0000000040000000 (reserved)
[    0.000000]  BIOS-e820: 00000000fec10000 - 00000000fec20000 (reserved)
[    0.000000]  BIOS-e820: 00000000ff800000 - 00000000ffc00000 (reserved)
[    0.000000]  BIOS-e820: 00000000fffffc00 - 0000000100000000 (reserved)
[    0.000000] DMI 2.3 present.
[    0.000000] Phoenix BIOS detected: BIOS may corrupt low RAM, working around it.
[    0.000000] e820 update range: 0000000000000000 - 0000000000010000 (usable) ==> (reserved)
[    0.000000] last_pfn = 0x3f6e0 max_arch_pfn = 0x100000
[    0.000000] MTRR default type: uncachable
[    0.000000] MTRR fixed ranges enabled:
[    0.000000]   00000-9FFFF write-back
[    0.000000]   A0000-BFFFF uncachable
[    0.000000]   C0000-C7FFF write-protect
[    0.000000]   C8000-EFFFF uncachable
[    0.000000]   F0000-FFFFF write-protect
[    0.000000] MTRR variable ranges enabled:
[    0.000000]   0 base 000000000 mask FC0000000 write-back
[    0.000000]   1 base 03F700000 mask FFFF00000 uncachable
[    0.000000]   2 base 03F800000 mask FFF800000 uncachable
[    0.000000]   3 disabled
[    0.000000]   4 disabled
[    0.000000]   5 disabled
[    0.000000]   6 disabled
[    0.000000]   7 disabled
[    0.000000] PAT not supported by CPU.
[    0.000000] initial memory mapped : 0 - 01800000
[    0.000000] init_memory_mapping: 0000000000000000-00000000373fe000
[    0.000000]  0000000000 - 0000400000 page 4k
[    0.000000]  0000400000 - 0037000000 page 2M
[    0.000000]  0037000000 - 00373fe000 page 4k
[    0.000000] kernel direct mapping tables up to 373fe000 @ 10000-16000
[    0.000000] RAMDISK: 37824000 - 37fefaf5
[    0.000000] Allocated new RAMDISK: 00100000 - 008cbaf5
[    0.000000] Move RAMDISK from 0000000037824000 - 0000000037fefaf4 to 00100000 - 008cbaf4
[    0.000000] ACPI: RSDP 000f69b0 00014 (v00 SONY  )
[    0.000000] ACPI: RSDT 3f6e79df 00030 (v01   SONY       G9 20050119 PTL  00000000)
[    0.000000] ACPI: FACP 3f6ebec2 00084 (v02   SONY       G9 20050119 PTL  00000050)
[    0.000000] ACPI: DSDT 3f6e7e7b 04047 (v01   SONY       G9 20050119 PTL  0100000E)
[    0.000000] ACPI: FACS 3f6fcfc0 00040
[    0.000000] ACPI: BOOT 3f6ebfd8 00028 (v01   SONY       G9 20050119 PTL  00000001)
[    0.000000] ACPI: SSDT 3f6e7a0f 002D8 (v01   SONY       G9 20050119 PTL  00000000)
[    0.000000] 130MB HIGHMEM available.
[    0.000000] 883MB LOWMEM available.
[    0.000000]   mapped low ram: 0 - 373fe000
[    0.000000]   low ram: 0 - 373fe000
[    0.000000]   node 0 low ram: 00000000 - 373fe000
[    0.000000]   node 0 bootmap 00012000 - 00018e80
[    0.000000] (9 early reservations) ==> bootmem [0000000000 - 00373fe000]
[    0.000000]   #0 [0000000000 - 0000001000]   BIOS data page ==> [0000000000 - 0000001000]
[    0.000000]   #1 [0000001000 - 0000002000]    EX TRAMPOLINE ==> [0000001000 - 0000002000]
[    0.000000]   #2 [0000006000 - 0000007000]       TRAMPOLINE ==> [0000006000 - 0000007000]
[    0.000000]   #3 [0001000000 - 00014bb4f4]    TEXT DATA BSS ==> [0001000000 - 00014bb4f4]
[    0.000000]   #4 [000009f800 - 0000100000]    BIOS reserved ==> [000009f800 - 0000100000]
[    0.000000]   #5 [00014bc000 - 00014c211c]              BRK ==> [00014bc000 - 00014c211c]
[    0.000000]   #6 [0000010000 - 0000012000]          PGTABLE ==> [0000010000 - 0000012000]
[    0.000000]   #7 [0000100000 - 00008cbaf5]      NEW RAMDISK ==> [0000100000 - 00008cbaf5]
[    0.000000]   #8 [0000012000 - 0000019000]          BOOTMAP ==> [0000012000 - 0000019000]
[    0.000000] Zone PFN ranges:
[    0.000000]   DMA      0x00000010 -> 0x00001000
[    0.000000]   Normal   0x00001000 -> 0x000373fe
[    0.000000]   HighMem  0x000373fe -> 0x0003f6e0
[    0.000000] Movable zone start PFN for each node
[    0.000000] early_node_map[2] active PFN ranges
[    0.000000]     0: 0x00000010 -> 0x0000009f
[    0.000000]     0: 0x00000100 -> 0x0003f6e0
[    0.000000] On node 0 totalpages: 259695
[    0.000000] free_area_init_node: node 0, pgdat c13a8100, node_mem_map c14c4200
[    0.000000]   DMA zone: 32 pages used for memmap
[    0.000000]   DMA zone: 0 pages reserved
[    0.000000]   DMA zone: 3951 pages, LIFO batch:0
[    0.000000]   Normal zone: 1736 pages used for memmap
[    0.000000]   Normal zone: 220470 pages, LIFO batch:31
[    0.000000]   HighMem zone: 262 pages used for memmap
[    0.000000]   HighMem zone: 33244 pages, LIFO batch:7
[    0.000000] Using APIC driver default
[    0.000000] ACPI: PM-Timer IO Port: 0x1008
[    0.000000] SMP: Allowing 1 CPUs, 0 hotplug CPUs
[    0.000000] Local APIC disabled by BIOS -- reenabling.
[    0.000000] Found and enabled local APIC!
[    0.000000] nr_irqs_gsi: 16
[    0.000000] PM: Registered nosave memory: 000000000009f000 - 00000000000a0000
[    0.000000] PM: Registered nosave memory: 00000000000a0000 - 00000000000d8000
[    0.000000] PM: Registered nosave memory: 00000000000d8000 - 0000000000100000
[    0.000000] Allocating PCI resources starting at 40000000 (gap: 40000000:bec10000)
[    0.000000] Booting paravirtualized kernel on bare hardware
[    0.000000] NR_CPUS:32 nr_cpumask_bits:32 nr_cpu_ids:1 nr_node_ids:1
[    0.000000] PERCPU: Embedded 14 pages/cpu @c2000000 s34072 r0 d23272 u4194304
[    0.000000] pcpu-alloc: s34072 r0 d23272 u4194304 alloc=1*4194304
[    0.000000] pcpu-alloc: [0] 0 
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 257665
[    0.000000] Kernel command line: root=/dev/disk/by-uuid/07b633c9-1242-48ee-a6f4-f37c43f639fd ro quiet lapic hpet=force single
[    0.000000] PID hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
[    0.000000] Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
[    0.000000] Enabling fast FPU save and restore... done.
[    0.000000] Enabling unmasked SIMD FPU exception support... done.
[    0.000000] Initializing CPU#0
[    0.000000] Initializing HighMem for node 0 (000373fe:0003f6e0)
[    0.000000] Memory: 1016544k/1039232k available (2469k kernel code, 21888k reserved, 1313k data, 372k init, 134024k highmem)
[    0.000000] virtual kernel memory layout:
[    0.000000]     fixmap  : 0xffd56000 - 0xfffff000   (2724 kB)
[    0.000000]     pkmap   : 0xff400000 - 0xff800000   (4096 kB)
[    0.000000]     vmalloc : 0xf7bfe000 - 0xff3fe000   ( 120 MB)
[    0.000000]     lowmem  : 0xc0000000 - 0xf73fe000   ( 883 MB)
[    0.000000]       .init : 0xc13b2000 - 0xc140f000   ( 372 kB)
[    0.000000]       .data : 0xc126957d - 0xc13b1c60   (1313 kB)
[    0.000000]       .text : 0xc1000000 - 0xc126957d   (2469 kB)
[    0.000000] Checking if this processor honours the WP bit even in supervisor mode...Ok.
[    0.000000] SLUB: Genslabs=13, HWalign=64, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000] NR_IRQS:1280
[    0.000000] Console: colour VGA+ 80x25
[    0.000000] console [tty0] enabled
[    0.000000] Fast TSC calibration using PIT
[    0.000000] Detected 1587.905 MHz processor.
[    0.004004] Calibrating delay loop (skipped), value calculated using timer frequency.. 3175.81 BogoMIPS (lpj=6351620)
[    0.004024] Security Framework initialized
[    0.004033] SELinux:  Disabled at boot.
[    0.004040] Mount-cache hash table entries: 512
[    0.004185] Initializing cgroup subsys ns
[    0.004190] Initializing cgroup subsys cpuacct
[    0.004195] Initializing cgroup subsys devices
[    0.004198] Initializing cgroup subsys freezer
[    0.004201] Initializing cgroup subsys net_cls
[    0.004227] CPU: L1 I cache: 32K, L1 D cache: 32K
[    0.004231] CPU: L2 cache: 2048K
[    0.008004] mce: CPU supports 5 MCE banks
[    0.008015] CPU0: Thermal monitoring enabled (TM2)
[    0.008026] Performance Events: p6 PMU driver.
[    0.008034] ... version:                0
[    0.008036] ... bit width:              32
[    0.008038] ... generic registers:      2
[    0.008040] ... value mask:             00000000ffffffff
[    0.008043] ... max period:             000000007fffffff
[    0.008045] ... fixed-purpose events:   0
[    0.008048] ... event mask:             0000000000000003
[    0.008052] Checking 'hlt' instruction... OK.
[    0.024415] SMP alternatives: switching to UP code
[    0.028575] Freeing SMP alternatives: 13k freed
[    0.028582] ACPI: Core revision 20090903
[    0.038135] weird, boot CPU (#0) not listed by the BIOS.
[    0.038138] SMP motherboard not detected.
[    0.040001] SMP disabled
[    0.040001] Brought up 1 CPUs
[    0.040001] Total of 1 processors activated (3175.81 BogoMIPS).
[    0.040001] CPU0 attaching NULL sched-domain.
[    0.040001] devtmpfs: initialized
[    0.040001] regulator: core version 0.5
[    0.040001] NET: Registered protocol family 16
[    0.040001] ACPI: bus type pci registered
[    0.040001] PCI: PCI BIOS revision 2.10 entry at 0xfd9b2, last bus=2
[    0.040001] PCI: Using configuration type 1 for base access
[    0.040001] bio: create slab <bio-0> at 0
[    0.040489] ACPI: EC: Look up EC in DSDT
[    0.043323] ACPI: Interpreter enabled
[    0.043334] ACPI: (supports S0 S3 S4 S5)
[    0.043356] ACPI: Using PIC for interrupt routing
[    0.045476] ACPI: EC: GPE = 0x1c, I/O: command/status = 0x66, data = 0x62
[    0.045476] ACPI: No dock devices found.
[    0.048020] ACPI: PCI Root Bridge [PCI0] (0000:00)
[    0.048161] pci 0000:00:02.0: reg 10 32bit mmio pref: [0xe8000000-0xefffffff]
[    0.048168] pci 0000:00:02.0: reg 14 32bit mmio: [0xe0000000-0xe007ffff]
[    0.048174] pci 0000:00:02.0: reg 18 io port: [0x1800-0x1807]
[    0.048193] pci 0000:00:02.0: supports D1
[    0.048212] pci 0000:00:02.1: reg 10 32bit mmio pref: [0xf0000000-0xf7ffffff]
[    0.048218] pci 0000:00:02.1: reg 14 32bit mmio: [0xe0080000-0xe00fffff]
[    0.048239] pci 0000:00:02.1: supports D1
[    0.048307] pci 0000:00:1d.0: reg 20 io port: [0x1820-0x183f]
[    0.048356] pci 0000:00:1d.1: reg 20 io port: [0x1840-0x185f]
[    0.048412] pci 0000:00:1d.7: reg 10 32bit mmio: [0xe0100000-0xe01003ff]
[    0.048464] pci 0000:00:1d.7: PME# supported from D0 D3hot D3cold
[    0.048470] pci 0000:00:1d.7: PME# disabled
[    0.048549] pci 0000:00:1f.0: Force enabled HPET at 0xfed00000
[    0.048555] pci 0000:00:1f.0: quirk: region 1000-107f claimed by ICH4 ACPI/GPIO/TCO
[    0.048560] pci 0000:00:1f.0: quirk: region 1180-11bf claimed by ICH4 GPIO
[    0.048583] pci 0000:00:1f.1: reg 10 io port: [0x00-0x07]
[    0.048590] pci 0000:00:1f.1: reg 14 io port: [0x00-0x03]
[    0.048597] pci 0000:00:1f.1: reg 18 io port: [0x00-0x07]
[    0.048605] pci 0000:00:1f.1: reg 1c io port: [0x00-0x03]
[    0.048612] pci 0000:00:1f.1: reg 20 io port: [0x1810-0x181f]
[    0.048620] pci 0000:00:1f.1: reg 24 32bit mmio: [0x000000-0x0003ff]
[    0.048666] pci 0000:00:1f.3: reg 20 io port: [0x1880-0x189f]
[    0.048706] pci 0000:00:1f.5: reg 10 io port: [0x1c00-0x1cff]
[    0.048713] pci 0000:00:1f.5: reg 14 io port: [0x18c0-0x18ff]
[    0.048720] pci 0000:00:1f.5: reg 18 32bit mmio: [0xe0100c00-0xe0100dff]
[    0.048727] pci 0000:00:1f.5: reg 1c 32bit mmio: [0xe0100800-0xe01008ff]
[    0.048754] pci 0000:00:1f.5: PME# supported from D0 D3hot D3cold
[    0.048759] pci 0000:00:1f.5: PME# disabled
[    0.048787] pci 0000:00:1f.6: reg 10 io port: [0x2400-0x24ff]
[    0.048794] pci 0000:00:1f.6: reg 14 io port: [0x2000-0x207f]
[    0.048827] pci 0000:00:1f.6: PME# supported from D0 D3hot D3cold
[    0.048832] pci 0000:00:1f.6: PME# disabled
[    0.048873] pci 0000:02:04.0: reg 10 32bit mmio: [0x000000-0x000fff]
[    0.048890] pci 0000:02:04.0: supports D1 D2
[    0.048893] pci 0000:02:04.0: PME# supported from D0 D1 D2 D3hot
[    0.048898] pci 0000:02:04.0: PME# disabled
[    0.048929] pci 0000:02:04.2: reg 10 32bit mmio: [0xe0207000-0xe02077ff]
[    0.048937] pci 0000:02:04.2: reg 14 32bit mmio: [0xe0200000-0xe0203fff]
[    0.048972] pci 0000:02:04.2: supports D1 D2
[    0.048975] pci 0000:02:04.2: PME# supported from D0 D1 D2 D3hot
[    0.048980] pci 0000:02:04.2: PME# disabled
[    0.049009] pci 0000:02:04.3: reg 10 32bit mmio: [0xe0204000-0xe0204fff]
[    0.049048] pci 0000:02:04.3: supports D1 D2
[    0.049051] pci 0000:02:04.3: PME# supported from D0 D1 D2 D3hot
[    0.049056] pci 0000:02:04.3: PME# disabled
[    0.049094] pci 0000:02:08.0: reg 10 32bit mmio: [0xe0205000-0xe0205fff]
[    0.049101] pci 0000:02:08.0: reg 14 io port: [0x3000-0x303f]
[    0.049134] pci 0000:02:08.0: supports D1 D2
[    0.049137] pci 0000:02:08.0: PME# supported from D0 D1 D2 D3hot D3cold
[    0.049142] pci 0000:02:08.0: PME# disabled
[    0.049177] pci 0000:02:0b.0: reg 10 32bit mmio: [0xe0206000-0xe0206fff]
[    0.049217] pci 0000:02:0b.0: PME# supported from D0 D3hot D3cold
[    0.049222] pci 0000:02:0b.0: PME# disabled
[    0.049251] pci 0000:00:1e.0: transparent bridge
[    0.049257] pci 0000:00:1e.0: bridge io port: [0x3000-0x3fff]
[    0.049262] pci 0000:00:1e.0: bridge 32bit mmio: [0xe0200000-0xe02fffff]
[    0.049287] pci_bus 0000:00: on NUMA node 0
[    0.049292] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
[    0.049446] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCIB._PRT]
[    0.053916] ACPI: PCI Interrupt Link [LNKA] (IRQs *9)
[    0.054016] ACPI: PCI Interrupt Link [LNKB] (IRQs 9) *0, disabled.
[    0.054115] ACPI: PCI Interrupt Link [LNKC] (IRQs 9) *0, disabled.
[    0.054214] ACPI: PCI Interrupt Link [LNKD] (IRQs *9)
[    0.054312] ACPI: PCI Interrupt Link [LNKE] (IRQs *9)
[    0.054410] ACPI: PCI Interrupt Link [LNKF] (IRQs 5) *0, disabled.
[    0.054508] ACPI: PCI Interrupt Link [LNKG] (IRQs 9) *0, disabled.
[    0.054607] ACPI: PCI Interrupt Link [LNKH] (IRQs 9) *0, disabled.
[    0.054698] vgaarb: device added: PCI:0000:00:02.0,decodes=io+mem,owns=io+mem,locks=none
[    0.054707] vgaarb: loaded
[    0.054770] PCI: Using ACPI for IRQ routing
[    0.055079] hpet clockevent registered
[    0.055083] HPET: 3 timers in total, 0 timers will be used for per-cpu timer
[    0.055089] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
[    0.055096] hpet0: 3 comparators, 64-bit 14.318180 MHz counter
[    0.060008] Switching to clocksource tsc
[    0.061540] pnp: PnP ACPI init
[    0.061549] ACPI: bus type pnp registered
[    0.063306] pnp: PnP ACPI: found 9 devices
[    0.063309] ACPI: ACPI bus type pnp unregistered
[    0.063313] PnPBIOS: Disabled by ACPI PNP
[    0.063325] system 00:04: ioport range 0x600-0x60f has been reserved
[    0.063329] system 00:04: ioport range 0x700-0x70f has been reserved
[    0.063333] system 00:04: ioport range 0x1000-0x107f has been reserved
[    0.063337] system 00:04: ioport range 0x1180-0x11bf has been reserved
[    0.063342] system 00:04: ioport range 0xfe00-0xfe01 has been reserved
[    0.063346] system 00:04: ioport range 0xfe10-0xfe17 has been reserved
[    0.063350] system 00:04: iomem range 0xfebfe000-0xfebfefff has been reserved
[    0.063354] system 00:04: iomem range 0xfebff000-0xfebfffff has been reserved
[    0.063359] system 00:04: iomem range 0xfec00000-0xfec00fff has been reserved
[    0.098064] pci 0000:02:04.0: CardBus bridge, secondary bus 0000:03
[    0.098067] pci 0000:02:04.0:   IO window: 0x003400-0x0034ff
[    0.098073] pci 0000:02:04.0:   IO window: 0x003800-0x0038ff
[    0.098078] pci 0000:02:04.0:   PREFETCH window: 0x40000000-0x43ffffff
[    0.098083] pci 0000:02:04.0:   MEM window: 0x48000000-0x4bffffff
[    0.098088] pci 0000:00:1e.0: PCI bridge, secondary bus 0000:02
[    0.098093] pci 0000:00:1e.0:   IO window: 0x3000-0x3fff
[    0.098099] pci 0000:00:1e.0:   MEM window: 0xe0200000-0xe02fffff
[    0.098105] pci 0000:00:1e.0:   PREFETCH window: 0x40000000-0x43ffffff
[    0.098119] pci 0000:00:1e.0: setting latency timer to 64
[    0.098129] pci 0000:02:04.0: power state changed by ACPI to D0
[    0.098285] ACPI: PCI Interrupt Link [LNKE] enabled at IRQ 9
[    0.098288] PCI: setting IRQ 9 as level-triggered
[    0.098293] pci 0000:02:04.0: PCI INT A -> Link[LNKE] -> GSI 9 (level, low) -> IRQ 9
[    0.098300] pci_bus 0000:00: resource 0 io:  [0x00-0xffff]
[    0.098303] pci_bus 0000:00: resource 1 mem: [0x000000-0xffffffff]
[    0.098307] pci_bus 0000:02: resource 0 io:  [0x3000-0x3fff]
[    0.098311] pci_bus 0000:02: resource 1 mem: [0xe0200000-0xe02fffff]
[    0.098315] pci_bus 0000:02: resource 2 pref mem [0x40000000-0x43ffffff]
[    0.098318] pci_bus 0000:02: resource 3 io:  [0x00-0xffff]
[    0.098322] pci_bus 0000:02: resource 4 mem: [0x000000-0xffffffff]
[    0.098325] pci_bus 0000:03: resource 0 io:  [0x3400-0x34ff]
[    0.098329] pci_bus 0000:03: resource 1 io:  [0x3800-0x38ff]
[    0.098332] pci_bus 0000:03: resource 2 pref mem [0x40000000-0x43ffffff]
[    0.098336] pci_bus 0000:03: resource 3 mem: [0x48000000-0x4bffffff]
[    0.098365] NET: Registered protocol family 2
[    0.098453] IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
[    0.098790] TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
[    0.099672] TCP bind hash table entries: 65536 (order: 7, 524288 bytes)
[    0.100283] TCP: Hash tables configured (established 131072 bind 65536)
[    0.100288] TCP reno registered
[    0.100410] NET: Registered protocol family 1
[    0.100438] pci 0000:00:02.0: Boot video device
[    0.100506] pci 0000:02:08.0: Firmware left e100 interrupts enabled; disabling
[    0.100579] Unpacking initramfs...
[    0.404184] Freeing initrd memory: 7982k freed
[    0.412205] Simple Boot Flag at 0x36 set to 0x1
[    0.412528] audit: initializing netlink socket (disabled)
[    0.412551] type=2000 audit(1269184192.412:1): initialized
[    0.412821] highmem bounce pool size: 64 pages
[    0.412829] HugeTLB registered 4 MB page size, pre-allocated 0 pages
[    0.414618] VFS: Disk quotas dquot_6.5.2
[    0.414691] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[    0.414790] msgmni has been set to 1739
[    0.415040] alg: No test for stdrng (krng)
[    0.415105] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    0.415110] io scheduler noop registered
[    0.415112] io scheduler anticipatory registered
[    0.415115] io scheduler deadline registered
[    0.415157] io scheduler cfq registered (default)
[    0.415371] isapnp: Scanning for PnP cards...
[    0.769135] isapnp: No Plug & Play device found
[    0.770692] Linux agpgart interface v0.103
[    0.770774] agpgart-intel 0000:00:00.0: Intel 855GM Chipset
[    0.772161] agpgart-intel 0000:00:00.0: detected 8060K stolen memory
[    0.773967] agpgart-intel 0000:00:00.0: AGP aperture is 128M @ 0xe8000000
[    0.774055] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    0.774614] ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 9
[    0.774620] serial 0000:00:1f.6: PCI INT B -> Link[LNKB] -> GSI 9 (level, low) -> IRQ 9
[    0.774627] serial 0000:00:1f.6: PCI INT B disabled
[    0.774723] PNP: PS/2 Controller [PNP0303:PS2K,PNP0f13:PS2M] at 0x60,0x64 irq 1,12
[    0.776825] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.776835] serio: i8042 AUX port at 0x60,0x64 irq 12
[    0.776942] mice: PS/2 mouse device common for all mice
[    0.777001] rtc_cmos 00:01: RTC can wake from S4
[    0.777045] rtc_cmos 00:01: rtc core: registered rtc_cmos as rtc0
[    0.777063] rtc0: alarms up to one month, y3k, 242 bytes nvram, hpet irqs
[    0.777078] cpuidle: using governor ladder
[    0.777081] cpuidle: using governor menu
[    0.777086] No iBFT detected.
[    0.777489] TCP cubic registered
[    0.777656] NET: Registered protocol family 10
[    0.778156] lo: Disabled Privacy Extensions
[    0.778504] Mobile IPv6
[    0.778507] NET: Registered protocol family 17
[    0.778528] Using IPI No-Shortcut mode
[    0.778604] PM: Resume from disk failed.
[    0.778612] registered taskstats version 1
[    0.778863] rtc_cmos 00:01: setting system clock to 2010-03-21 15:09:53 UTC (1269184193)
[    0.778918] Freeing unused kernel memory: 372k freed
[    0.779136] Write protecting the kernel text: 2472k
[    0.779161] Write protecting the kernel read-only data: 908k
[    0.801069] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
[    0.909019] device-mapper: uevent: version 1.0.3
[    0.909187] device-mapper: ioctl: 4.15.0-ioctl (2009-04-01) initialised: dm-devel@redhat.com
[    0.939652] thermal LNXTHERM:01: registered as thermal_zone0
[    0.939662] ACPI: Thermal Zone [ATF0] (61 C)
[    1.144303] usbcore: registered new interface driver usbfs
[    1.144420] usbcore: registered new interface driver hub
[    1.144532] usbcore: registered new device driver usb
[    1.153895] input: Lid Switch as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input1
[    1.157420] ACPI: Lid Switch [LID0]
[    1.157527] input: Power Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input2
[    1.157537] ACPI: Power Button [PWRB]
[    1.158429] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/LNXVIDEO:00/input/input3
[    1.158436] ACPI: Video Device [GFX0] (multi-head: yes  rom: yes  post: no)
[    1.159320] SCSI subsystem initialized
[    1.172017] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    1.172251] ACPI: PCI Interrupt Link [LNKH] enabled at IRQ 9
[    1.172257] ehci_hcd 0000:00:1d.7: PCI INT D -> Link[LNKH] -> GSI 9 (level, low) -> IRQ 9
[    1.172276] ehci_hcd 0000:00:1d.7: setting latency timer to 64
[    1.172281] ehci_hcd 0000:00:1d.7: EHCI Host Controller
[    1.172306] ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 1
[    1.172337] ehci_hcd 0000:00:1d.7: debug port 1
[    1.176213] ehci_hcd 0000:00:1d.7: cache line size of 32 is not supported
[    1.212944] ehci_hcd 0000:00:1d.7: irq 9, io mem 0xe0100000
[    1.250298] ehci_hcd 0000:00:1d.7: USB 2.0 started, EHCI 1.00
[    1.250335] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[    1.250339] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.250343] usb usb1: Product: EHCI Host Controller
[    1.250346] usb usb1: Manufacturer: Linux 2.6.32-4-686 ehci_hcd
[    1.250349] usb usb1: SerialNumber: 0000:00:1d.7
[    1.250464] usb usb1: configuration #1 chosen from 1 choice
[    1.250502] hub 1-0:1.0: USB hub found
[    1.250514] hub 1-0:1.0: 6 ports detected
[    1.251068] ACPI: PCI Interrupt Link [LNKG] enabled at IRQ 9
[    1.251075] firewire_ohci 0000:02:04.2: PCI INT C -> Link[LNKG] -> GSI 9 (level, low) -> IRQ 9
[    1.251128] e100: Intel(R) PRO/100 Network Driver, 3.5.24-k2-NAPI
[    1.251130] e100: Copyright(c) 1999-2006 Intel Corporation
[    1.251203] libata version 3.00 loaded.
[    1.258488] uhci_hcd: USB Universal Host Controller Interface driver
[    1.258715] ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 9
[    1.258720] uhci_hcd 0000:00:1d.0: PCI INT A -> Link[LNKA] -> GSI 9 (level, low) -> IRQ 9
[    1.258730] uhci_hcd 0000:00:1d.0: setting latency timer to 64
[    1.258734] uhci_hcd 0000:00:1d.0: UHCI Host Controller
[    1.258748] uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 2
[    1.258776] uhci_hcd 0000:00:1d.0: irq 9, io base 0x00001820
[    1.258818] usb usb2: New USB device found, idVendor=1d6b, idProduct=0001
[    1.258821] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.258825] usb usb2: Product: UHCI Host Controller
[    1.258828] usb usb2: Manufacturer: Linux 2.6.32-4-686 uhci_hcd
[    1.258831] usb usb2: SerialNumber: 0000:00:1d.0
[    1.258957] usb usb2: configuration #1 chosen from 1 choice
[    1.259029] hub 2-0:1.0: USB hub found
[    1.259038] hub 2-0:1.0: 2 ports detected
[    1.259238] ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 9
[    1.259243] uhci_hcd 0000:00:1d.1: PCI INT B -> Link[LNKD] -> GSI 9 (level, low) -> IRQ 9
[    1.259250] uhci_hcd 0000:00:1d.1: setting latency timer to 64
[    1.259254] uhci_hcd 0000:00:1d.1: UHCI Host Controller
[    1.259264] uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 3
[    1.259285] uhci_hcd 0000:00:1d.1: irq 9, io base 0x00001840
[    1.259326] usb usb3: New USB device found, idVendor=1d6b, idProduct=0001
[    1.259330] usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.259333] usb usb3: Product: UHCI Host Controller
[    1.259336] usb usb3: Manufacturer: Linux 2.6.32-4-686 uhci_hcd
[    1.259339] usb usb3: SerialNumber: 0000:00:1d.1
[    1.259453] usb usb3: configuration #1 chosen from 1 choice
[    1.259522] hub 3-0:1.0: USB hub found
[    1.259531] hub 3-0:1.0: 2 ports detected
[    1.259785] [drm] Initialized drm 1.1.0 20060810
[    1.259823] ata_piix 0000:00:1f.1: version 2.13
[    1.259833] ata_piix 0000:00:1f.1: enabling device (0005 -> 0007)
[    1.259838] ata_piix 0000:00:1f.1: can't derive routing for PCI INT A
[    1.259879] ata_piix 0000:00:1f.1: setting latency timer to 64
[    1.270732] scsi0 : ata_piix
[    1.275269] scsi1 : ata_piix
[    1.276532] ata1: PATA max UDMA/100 cmd 0x1f0 ctl 0x3f6 bmdma 0x1810 irq 14
[    1.276537] ata2: PATA max UDMA/100 cmd 0x170 ctl 0x376 bmdma 0x1818 irq 15
[    1.320009] firewire_ohci: Added fw-ohci device 0000:02:04.2, OHCI version 1.10
[    1.320110] e100 0000:02:08.0: PCI INT A -> Link[LNKE] -> GSI 9 (level, low) -> IRQ 9
[    1.342634] e100 0000:02:08.0: PME# disabled
[    1.343657] e100: eth0: e100_probe: addr 0xe0205000, irq 9, MAC addr 00:01:4a:07:4c:1a
[    1.440677] ata2.00: ATAPI: MATSHITAUJ-840D, 1.00, max UDMA/33
[    1.442597] ata1.00: HPA detected: current 268435455, native 312581808
[    1.442603] ata1.00: ATA-8: SAMSUNG HM160HC, LQ100-10, max UDMA/100
[    1.442607] ata1.00: 268435455 sectors, multi 16: LBA48 
[    1.456472] ata2.00: configured for UDMA/33
[    1.458358] ata1.00: configured for UDMA/100
[    1.458494] scsi 0:0:0:0: Direct-Access     ATA      SAMSUNG HM160HC  LQ10 PQ: 0 ANSI: 5
[    1.460578] scsi 1:0:0:0: CD-ROM            MATSHITA UJ-840D          1.00 PQ: 0 ANSI: 5
[    1.498594] i915 0000:00:02.0: PCI INT A -> Link[LNKA] -> GSI 9 (level, low) -> IRQ 9
[    1.498601] i915 0000:00:02.0: setting latency timer to 64
[    1.506619] sd 0:0:0:0: [sda] 268435455 512-byte logical blocks: (137 GB/127 GiB)
[    1.506677] sd 0:0:0:0: [sda] Write Protect is off
[    1.506681] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    1.506710] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    1.506874]  sda:
[    1.509230] [drm] set up 7M of stolen space
[    1.513013] sr0: scsi3-mmc drive: 24x/24x writer cd/rw xa/form2 cdda tray
[    1.513018] Uniform CD-ROM driver Revision: 3.20
[    1.513127] sr 1:0:0:0: Attached scsi CD-ROM sr0
[    1.562618]  sda1 sda2 sda3
[    1.562663] sda: p2 size 262148670 exceeds device capacity, limited to end of disk
[    1.562697] sda: p3 ignored, start 287306460 is behind the end of the disk
[    1.563066] sd 0:0:0:0: [sda] Attached SCSI disk
[    1.580387] sd 0:0:0:0: Attached scsi generic sg0 type 0
[    1.580827] sr 1:0:0:0: Attached scsi generic sg1 type 5
[    1.686215] [drm] initialized overlay support
[    1.938698] firewire_core: created device fw0: GUID 0800460301ca8678, S400
[    2.886185] Console: switching to colour frame buffer device 128x48
[    2.892227] fb0: inteldrmfb frame buffer device
[    2.892230] registered panic notifier
[    2.892473] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[    3.082859] kjournald starting.  Commit interval 5 seconds
[    3.082868] EXT3-fs: mounted filesystem with ordered data mode.
[    4.632674] udev: starting version 151
[    5.284682] i801_smbus 0000:00:1f.3: PCI INT B -> Link[LNKB] -> GSI 9 (level, low) -> IRQ 9
[    5.284690] ACPI: I/O resource 0000:00:1f.3 [0x1880-0x189f] conflicts with ACPI region SBUS [0x1880-0x188f]
[    5.284845] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[    5.292614] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    5.294369] input: PC Speaker as /devices/platform/pcspkr/input/input4
[    5.296423] Marking TSC unstable due to TSC halts in idle
[    5.296708] ACPI: AC Adapter [ACAD] (on-line)
[    5.297648] processor LNXCPU:00: registered as cooling_device0
[    5.303000] sony-laptop: Sony Programmable IO Control Driver v0.6.
[    5.303014] sony-laptop: detected Type2 model
[    5.305574] intel_rng: FWH not detected
[    5.306724] Switching to clocksource hpet
[    5.306935] input: Sony Vaio Keys as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/device:0c/SNY6001:00/input/input5
[    5.307282] input: Sony Vaio Jogdial as /devices/virtual/input/input6
[    5.307733] sony-laptop: device allocated minor is 57
[    5.328052] sony-laptop: Sony Notebook Control Driver v0.6.
[    5.328475] ACPI: Battery Slot [BAT1] (battery present)
[    5.345159] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[    5.436852] lib80211: common routines for IEEE802.11 drivers
[    5.436856] lib80211_crypt: registered algorithm 'NULL'
[    5.521161] ieee80211: 802.11 data/management/control stack, git-1.1.13
[    5.521165] ieee80211: Copyright (C) 2004-2005 Intel Corporation <jketreno@linux.intel.com>
[    5.571392] ipw2200: Intel(R) PRO/Wireless 2200/2915 Network Driver, 1.2.2kmprq
[    5.571396] ipw2200: Copyright(c) 2003-2006 Intel Corporation
[    5.571494] ipw2200 0000:02:0b.0: power state changed by ACPI to D0
[    5.571509] ipw2200 0000:02:0b.0: PCI INT A -> Link[LNKD] -> GSI 9 (level, low) -> IRQ 9
[    5.571579] ipw2200: Detected Intel PRO/Wireless 2200BG Network Connection
[    5.571629] ipw2200 0000:02:0b.0: firmware: requesting ipw2200-bss.fw
[    5.591981] input: PS/2 Mouse as /devices/platform/i8042/serio1/input/input7
[    5.616124] input: AlpsPS/2 ALPS GlidePoint as /devices/platform/i8042/serio1/input/input8
[    6.047198] ipw2200: Radio Frequency Kill Switch is On:
[    6.047201] Kill switch must be turned off for wireless networking to work.
[    6.049181] ipw2200: Detected geography ZZD (13 802.11bg channels, 0 802.11a channels)
[    6.049437] ACPI: PCI Interrupt Link [LNKF] enabled at IRQ 5
[    6.049442] PCI: setting IRQ 5 as level-triggered
[    6.049447] tifm_7xx1 0000:02:04.3: PCI INT B -> Link[LNKF] -> GSI 5 (level, low) -> IRQ 5
[    6.049763] yenta_cardbus 0000:02:04.0: CardBus bridge found [104d:818f]
[    6.049783] yenta_cardbus 0000:02:04.0: Using CSCINT to route CSC interrupts to PCI
[    6.049786] yenta_cardbus 0000:02:04.0: Routing CardBus interrupts to PCI
[    6.049793] yenta_cardbus 0000:02:04.0: TI: mfunc 0x01001b22, devctl 0x64
[    6.072049] tifm_core: MMC/SD card detected in socket 0:0
[    6.264506] Intel ICH 0000:00:1f.5: PCI INT B -> Link[LNKB] -> GSI 9 (level, low) -> IRQ 9
[    6.264545] Intel ICH 0000:00:1f.5: setting latency timer to 64
[    6.288789] yenta_cardbus 0000:02:04.0: ISA IRQ mask 0x0c98, PCI irq 9
[    6.288794] yenta_cardbus 0000:02:04.0: Socket status: 30000006
[    6.288799] pci_bus 0000:02: Raising subordinate bus# of parent bus (#02) from #02 to #06
[    6.288808] yenta_cardbus 0000:02:04.0: pcmcia: parent PCI bridge I/O window: 0x3000 - 0x3fff
[    6.288813] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x3000-0x3fff: clean.
[    6.289084] yenta_cardbus 0000:02:04.0: pcmcia: parent PCI bridge Memory window: 0xe0200000 - 0xe02fffff
[    6.289089] yenta_cardbus 0000:02:04.0: pcmcia: parent PCI bridge Memory window: 0x40000000 - 0x43ffffff
[    6.647857] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x100-0x4ff: excluding 0x4d0-0x4d7
[    6.650204] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x800-0x8ff: clean.
[    6.650859] pcmcia_socket pcmcia_socket0: cs: IO port probe 0xc00-0xcff: clean.
[    6.651845] pcmcia_socket pcmcia_socket0: cs: IO port probe 0xa00-0xaff: clean.
[    7.188024] intel8x0_measure_ac97_clock: measured 55419 usecs (2670 samples)
[    7.188028] intel8x0: clocking to 48000
[    7.188648] Intel ICH Modem 0000:00:1f.6: PCI INT B -> Link[LNKB] -> GSI 9 (level, low) -> IRQ 9
[    7.188670] Intel ICH Modem 0000:00:1f.6: setting latency timer to 64
[    7.292062] MC'97 1 converters and GPIO not ready (0xff00)
[    8.193173] EXT3 FS on sda1, internal journal
[    9.446049] ip_tables: (C) 2000-2006 Netfilter Core Team
[    9.518158] nf_conntrack version 0.5.0 (16019 buckets, 64076 max)
[    9.518695] CONFIG_NF_CT_ACCT is deprecated and will be removed soon. Please use
[    9.518698] nf_conntrack.acct=1 kernel parameter, acct=1 nf_conntrack module option or
[    9.518701] sysctl net.netfilter.nf_conntrack_acct=1 to enable it.
[   10.209784] fuse init (API version 7.13)
[   10.329221] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   10.332138] e100: eth0 NIC Link is Up 100 Mbps Full Duplex
[   10.332456] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[   20.540015] eth0: no IPv6 routers present
[libata_hpa0-fdisk-l.txt (text/plain, inline)]
Disk /dev/sda: 137.4 GB, 137438952960 bytes
255 heads, 63 sectors/track, 16709 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0x69696969

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1        1566    12578863+  83  Linux
/dev/sda2            1567       17884   131074335   83  Linux
/dev/sda3           17885       18537     5245222+  82  Linux swap / Solaris
[libata_hpa0-proc.partitions.txt (text/plain, inline)]
major minor  #blocks  name

   8        0  134217727 sda
   8        1   12578863 sda1
   8        2  121638832 sda2
[libata_hpa1-dmesg-recovery-full.txt (text/plain, inline)]
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 2.6.32-4-686 (Debian 2.6.32-10) (maks@debian.org) (gcc version 4.3.4 (Debian 4.3.4-8) ) #1 SMP Wed Mar 17 17:16:41 UTC 2010
[    0.000000] KERNEL supported cpus:
[    0.000000]   Intel GenuineIntel
[    0.000000]   AMD AuthenticAMD
[    0.000000]   NSC Geode by NSC
[    0.000000]   Cyrix CyrixInstead
[    0.000000]   Centaur CentaurHauls
[    0.000000]   Transmeta GenuineTMx86
[    0.000000]   Transmeta TransmetaCPU
[    0.000000]   UMC UMC UMC UMC
[    0.000000] BIOS-provided physical RAM map:
[    0.000000]  BIOS-e820: 0000000000000000 - 000000000009f800 (usable)
[    0.000000]  BIOS-e820: 000000000009f800 - 00000000000a0000 (reserved)
[    0.000000]  BIOS-e820: 00000000000d8000 - 0000000000100000 (reserved)
[    0.000000]  BIOS-e820: 0000000000100000 - 000000003f6e0000 (usable)
[    0.000000]  BIOS-e820: 000000003f6e0000 - 000000003f6ec000 (ACPI data)
[    0.000000]  BIOS-e820: 000000003f6ec000 - 000000003f700000 (ACPI NVS)
[    0.000000]  BIOS-e820: 000000003f700000 - 0000000040000000 (reserved)
[    0.000000]  BIOS-e820: 00000000fec10000 - 00000000fec20000 (reserved)
[    0.000000]  BIOS-e820: 00000000ff800000 - 00000000ffc00000 (reserved)
[    0.000000]  BIOS-e820: 00000000fffffc00 - 0000000100000000 (reserved)
[    0.000000] DMI 2.3 present.
[    0.000000] Phoenix BIOS detected: BIOS may corrupt low RAM, working around it.
[    0.000000] e820 update range: 0000000000000000 - 0000000000010000 (usable) ==> (reserved)
[    0.000000] last_pfn = 0x3f6e0 max_arch_pfn = 0x100000
[    0.000000] MTRR default type: uncachable
[    0.000000] MTRR fixed ranges enabled:
[    0.000000]   00000-9FFFF write-back
[    0.000000]   A0000-BFFFF uncachable
[    0.000000]   C0000-C7FFF write-protect
[    0.000000]   C8000-EFFFF uncachable
[    0.000000]   F0000-FFFFF write-protect
[    0.000000] MTRR variable ranges enabled:
[    0.000000]   0 base 000000000 mask FC0000000 write-back
[    0.000000]   1 base 03F700000 mask FFFF00000 uncachable
[    0.000000]   2 base 03F800000 mask FFF800000 uncachable
[    0.000000]   3 disabled
[    0.000000]   4 disabled
[    0.000000]   5 disabled
[    0.000000]   6 disabled
[    0.000000]   7 disabled
[    0.000000] PAT not supported by CPU.
[    0.000000] initial memory mapped : 0 - 01800000
[    0.000000] init_memory_mapping: 0000000000000000-00000000373fe000
[    0.000000]  0000000000 - 0000400000 page 4k
[    0.000000]  0000400000 - 0037000000 page 2M
[    0.000000]  0037000000 - 00373fe000 page 4k
[    0.000000] kernel direct mapping tables up to 373fe000 @ 10000-16000
[    0.000000] RAMDISK: 37824000 - 37fefaf5
[    0.000000] Allocated new RAMDISK: 00100000 - 008cbaf5
[    0.000000] Move RAMDISK from 0000000037824000 - 0000000037fefaf4 to 00100000 - 008cbaf4
[    0.000000] ACPI: RSDP 000f69b0 00014 (v00 SONY  )
[    0.000000] ACPI: RSDT 3f6e79df 00030 (v01   SONY       G9 20050119 PTL  00000000)
[    0.000000] ACPI: FACP 3f6ebec2 00084 (v02   SONY       G9 20050119 PTL  00000050)
[    0.000000] ACPI: DSDT 3f6e7e7b 04047 (v01   SONY       G9 20050119 PTL  0100000E)
[    0.000000] ACPI: FACS 3f6fcfc0 00040
[    0.000000] ACPI: BOOT 3f6ebfd8 00028 (v01   SONY       G9 20050119 PTL  00000001)
[    0.000000] ACPI: SSDT 3f6e7a0f 002D8 (v01   SONY       G9 20050119 PTL  00000000)
[    0.000000] 130MB HIGHMEM available.
[    0.000000] 883MB LOWMEM available.
[    0.000000]   mapped low ram: 0 - 373fe000
[    0.000000]   low ram: 0 - 373fe000
[    0.000000]   node 0 low ram: 00000000 - 373fe000
[    0.000000]   node 0 bootmap 00012000 - 00018e80
[    0.000000] (9 early reservations) ==> bootmem [0000000000 - 00373fe000]
[    0.000000]   #0 [0000000000 - 0000001000]   BIOS data page ==> [0000000000 - 0000001000]
[    0.000000]   #1 [0000001000 - 0000002000]    EX TRAMPOLINE ==> [0000001000 - 0000002000]
[    0.000000]   #2 [0000006000 - 0000007000]       TRAMPOLINE ==> [0000006000 - 0000007000]
[    0.000000]   #3 [0001000000 - 00014bb4f4]    TEXT DATA BSS ==> [0001000000 - 00014bb4f4]
[    0.000000]   #4 [000009f800 - 0000100000]    BIOS reserved ==> [000009f800 - 0000100000]
[    0.000000]   #5 [00014bc000 - 00014c211c]              BRK ==> [00014bc000 - 00014c211c]
[    0.000000]   #6 [0000010000 - 0000012000]          PGTABLE ==> [0000010000 - 0000012000]
[    0.000000]   #7 [0000100000 - 00008cbaf5]      NEW RAMDISK ==> [0000100000 - 00008cbaf5]
[    0.000000]   #8 [0000012000 - 0000019000]          BOOTMAP ==> [0000012000 - 0000019000]
[    0.000000] Zone PFN ranges:
[    0.000000]   DMA      0x00000010 -> 0x00001000
[    0.000000]   Normal   0x00001000 -> 0x000373fe
[    0.000000]   HighMem  0x000373fe -> 0x0003f6e0
[    0.000000] Movable zone start PFN for each node
[    0.000000] early_node_map[2] active PFN ranges
[    0.000000]     0: 0x00000010 -> 0x0000009f
[    0.000000]     0: 0x00000100 -> 0x0003f6e0
[    0.000000] On node 0 totalpages: 259695
[    0.000000] free_area_init_node: node 0, pgdat c13a8100, node_mem_map c14c4200
[    0.000000]   DMA zone: 32 pages used for memmap
[    0.000000]   DMA zone: 0 pages reserved
[    0.000000]   DMA zone: 3951 pages, LIFO batch:0
[    0.000000]   Normal zone: 1736 pages used for memmap
[    0.000000]   Normal zone: 220470 pages, LIFO batch:31
[    0.000000]   HighMem zone: 262 pages used for memmap
[    0.000000]   HighMem zone: 33244 pages, LIFO batch:7
[    0.000000] Using APIC driver default
[    0.000000] ACPI: PM-Timer IO Port: 0x1008
[    0.000000] SMP: Allowing 1 CPUs, 0 hotplug CPUs
[    0.000000] Local APIC disabled by BIOS -- reenabling.
[    0.000000] Found and enabled local APIC!
[    0.000000] nr_irqs_gsi: 16
[    0.000000] PM: Registered nosave memory: 000000000009f000 - 00000000000a0000
[    0.000000] PM: Registered nosave memory: 00000000000a0000 - 00000000000d8000
[    0.000000] PM: Registered nosave memory: 00000000000d8000 - 0000000000100000
[    0.000000] Allocating PCI resources starting at 40000000 (gap: 40000000:bec10000)
[    0.000000] Booting paravirtualized kernel on bare hardware
[    0.000000] NR_CPUS:32 nr_cpumask_bits:32 nr_cpu_ids:1 nr_node_ids:1
[    0.000000] PERCPU: Embedded 14 pages/cpu @c2000000 s34072 r0 d23272 u4194304
[    0.000000] pcpu-alloc: s34072 r0 d23272 u4194304 alloc=1*4194304
[    0.000000] pcpu-alloc: [0] 0 
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 257665
[    0.000000] Kernel command line: root=/dev/disk/by-uuid/07b633c9-1242-48ee-a6f4-f37c43f639fd ro quiet lapic hpet=force libata.ignore_hpa=1 single
[    0.000000] PID hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
[    0.000000] Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
[    0.000000] Enabling fast FPU save and restore... done.
[    0.000000] Enabling unmasked SIMD FPU exception support... done.
[    0.000000] Initializing CPU#0
[    0.000000] Initializing HighMem for node 0 (000373fe:0003f6e0)
[    0.000000] Memory: 1016544k/1039232k available (2469k kernel code, 21888k reserved, 1313k data, 372k init, 134024k highmem)
[    0.000000] virtual kernel memory layout:
[    0.000000]     fixmap  : 0xffd56000 - 0xfffff000   (2724 kB)
[    0.000000]     pkmap   : 0xff400000 - 0xff800000   (4096 kB)
[    0.000000]     vmalloc : 0xf7bfe000 - 0xff3fe000   ( 120 MB)
[    0.000000]     lowmem  : 0xc0000000 - 0xf73fe000   ( 883 MB)
[    0.000000]       .init : 0xc13b2000 - 0xc140f000   ( 372 kB)
[    0.000000]       .data : 0xc126957d - 0xc13b1c60   (1313 kB)
[    0.000000]       .text : 0xc1000000 - 0xc126957d   (2469 kB)
[    0.000000] Checking if this processor honours the WP bit even in supervisor mode...Ok.
[    0.000000] SLUB: Genslabs=13, HWalign=64, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000] NR_IRQS:1280
[    0.000000] Console: colour VGA+ 80x25
[    0.000000] console [tty0] enabled
[    0.000000] Fast TSC calibration using PIT
[    0.000000] Detected 1588.014 MHz processor.
[    0.004004] Calibrating delay loop (skipped), value calculated using timer frequency.. 3176.02 BogoMIPS (lpj=6352056)
[    0.004025] Security Framework initialized
[    0.004034] SELinux:  Disabled at boot.
[    0.004041] Mount-cache hash table entries: 512
[    0.004186] Initializing cgroup subsys ns
[    0.004192] Initializing cgroup subsys cpuacct
[    0.004197] Initializing cgroup subsys devices
[    0.004200] Initializing cgroup subsys freezer
[    0.004203] Initializing cgroup subsys net_cls
[    0.004230] CPU: L1 I cache: 32K, L1 D cache: 32K
[    0.004233] CPU: L2 cache: 2048K
[    0.008007] mce: CPU supports 5 MCE banks
[    0.008018] CPU0: Thermal monitoring enabled (TM2)
[    0.008029] Performance Events: p6 PMU driver.
[    0.008037] ... version:                0
[    0.008039] ... bit width:              32
[    0.008041] ... generic registers:      2
[    0.008043] ... value mask:             00000000ffffffff
[    0.008046] ... max period:             000000007fffffff
[    0.008048] ... fixed-purpose events:   0
[    0.008051] ... event mask:             0000000000000003
[    0.008055] Checking 'hlt' instruction... OK.
[    0.024414] SMP alternatives: switching to UP code
[    0.028585] Freeing SMP alternatives: 13k freed
[    0.028592] ACPI: Core revision 20090903
[    0.038148] weird, boot CPU (#0) not listed by the BIOS.
[    0.038151] SMP motherboard not detected.
[    0.040001] SMP disabled
[    0.040001] Brought up 1 CPUs
[    0.040001] Total of 1 processors activated (3176.02 BogoMIPS).
[    0.040001] CPU0 attaching NULL sched-domain.
[    0.040001] devtmpfs: initialized
[    0.040001] regulator: core version 0.5
[    0.040001] NET: Registered protocol family 16
[    0.040001] ACPI: bus type pci registered
[    0.040001] PCI: PCI BIOS revision 2.10 entry at 0xfd9b2, last bus=2
[    0.040001] PCI: Using configuration type 1 for base access
[    0.040001] bio: create slab <bio-0> at 0
[    0.040489] ACPI: EC: Look up EC in DSDT
[    0.043325] ACPI: Interpreter enabled
[    0.043336] ACPI: (supports S0 S3 S4 S5)
[    0.043359] ACPI: Using PIC for interrupt routing
[    0.045477] ACPI: EC: GPE = 0x1c, I/O: command/status = 0x66, data = 0x62
[    0.045477] ACPI: No dock devices found.
[    0.048068] ACPI: PCI Root Bridge [PCI0] (0000:00)
[    0.048209] pci 0000:00:02.0: reg 10 32bit mmio pref: [0xe8000000-0xefffffff]
[    0.048215] pci 0000:00:02.0: reg 14 32bit mmio: [0xe0000000-0xe007ffff]
[    0.048221] pci 0000:00:02.0: reg 18 io port: [0x1800-0x1807]
[    0.048240] pci 0000:00:02.0: supports D1
[    0.048259] pci 0000:00:02.1: reg 10 32bit mmio pref: [0xf0000000-0xf7ffffff]
[    0.048265] pci 0000:00:02.1: reg 14 32bit mmio: [0xe0080000-0xe00fffff]
[    0.048286] pci 0000:00:02.1: supports D1
[    0.048354] pci 0000:00:1d.0: reg 20 io port: [0x1820-0x183f]
[    0.048403] pci 0000:00:1d.1: reg 20 io port: [0x1840-0x185f]
[    0.048459] pci 0000:00:1d.7: reg 10 32bit mmio: [0xe0100000-0xe01003ff]
[    0.048511] pci 0000:00:1d.7: PME# supported from D0 D3hot D3cold
[    0.048517] pci 0000:00:1d.7: PME# disabled
[    0.048596] pci 0000:00:1f.0: Force enabled HPET at 0xfed00000
[    0.048603] pci 0000:00:1f.0: quirk: region 1000-107f claimed by ICH4 ACPI/GPIO/TCO
[    0.048607] pci 0000:00:1f.0: quirk: region 1180-11bf claimed by ICH4 GPIO
[    0.048630] pci 0000:00:1f.1: reg 10 io port: [0x00-0x07]
[    0.048637] pci 0000:00:1f.1: reg 14 io port: [0x00-0x03]
[    0.048645] pci 0000:00:1f.1: reg 18 io port: [0x00-0x07]
[    0.048652] pci 0000:00:1f.1: reg 1c io port: [0x00-0x03]
[    0.048659] pci 0000:00:1f.1: reg 20 io port: [0x1810-0x181f]
[    0.048667] pci 0000:00:1f.1: reg 24 32bit mmio: [0x000000-0x0003ff]
[    0.048714] pci 0000:00:1f.3: reg 20 io port: [0x1880-0x189f]
[    0.048753] pci 0000:00:1f.5: reg 10 io port: [0x1c00-0x1cff]
[    0.048760] pci 0000:00:1f.5: reg 14 io port: [0x18c0-0x18ff]
[    0.048767] pci 0000:00:1f.5: reg 18 32bit mmio: [0xe0100c00-0xe0100dff]
[    0.048775] pci 0000:00:1f.5: reg 1c 32bit mmio: [0xe0100800-0xe01008ff]
[    0.048801] pci 0000:00:1f.5: PME# supported from D0 D3hot D3cold
[    0.048806] pci 0000:00:1f.5: PME# disabled
[    0.048834] pci 0000:00:1f.6: reg 10 io port: [0x2400-0x24ff]
[    0.048841] pci 0000:00:1f.6: reg 14 io port: [0x2000-0x207f]
[    0.048874] pci 0000:00:1f.6: PME# supported from D0 D3hot D3cold
[    0.048879] pci 0000:00:1f.6: PME# disabled
[    0.048920] pci 0000:02:04.0: reg 10 32bit mmio: [0x000000-0x000fff]
[    0.048937] pci 0000:02:04.0: supports D1 D2
[    0.048940] pci 0000:02:04.0: PME# supported from D0 D1 D2 D3hot
[    0.048945] pci 0000:02:04.0: PME# disabled
[    0.048976] pci 0000:02:04.2: reg 10 32bit mmio: [0xe0207000-0xe02077ff]
[    0.048984] pci 0000:02:04.2: reg 14 32bit mmio: [0xe0200000-0xe0203fff]
[    0.049020] pci 0000:02:04.2: supports D1 D2
[    0.049022] pci 0000:02:04.2: PME# supported from D0 D1 D2 D3hot
[    0.049027] pci 0000:02:04.2: PME# disabled
[    0.049056] pci 0000:02:04.3: reg 10 32bit mmio: [0xe0204000-0xe0204fff]
[    0.049095] pci 0000:02:04.3: supports D1 D2
[    0.049098] pci 0000:02:04.3: PME# supported from D0 D1 D2 D3hot
[    0.049103] pci 0000:02:04.3: PME# disabled
[    0.049141] pci 0000:02:08.0: reg 10 32bit mmio: [0xe0205000-0xe0205fff]
[    0.049149] pci 0000:02:08.0: reg 14 io port: [0x3000-0x303f]
[    0.049182] pci 0000:02:08.0: supports D1 D2
[    0.049185] pci 0000:02:08.0: PME# supported from D0 D1 D2 D3hot D3cold
[    0.049190] pci 0000:02:08.0: PME# disabled
[    0.049225] pci 0000:02:0b.0: reg 10 32bit mmio: [0xe0206000-0xe0206fff]
[    0.049264] pci 0000:02:0b.0: PME# supported from D0 D3hot D3cold
[    0.049269] pci 0000:02:0b.0: PME# disabled
[    0.049299] pci 0000:00:1e.0: transparent bridge
[    0.049304] pci 0000:00:1e.0: bridge io port: [0x3000-0x3fff]
[    0.049309] pci 0000:00:1e.0: bridge 32bit mmio: [0xe0200000-0xe02fffff]
[    0.049335] pci_bus 0000:00: on NUMA node 0
[    0.049340] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
[    0.049493] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCIB._PRT]
[    0.053964] ACPI: PCI Interrupt Link [LNKA] (IRQs *9)
[    0.054064] ACPI: PCI Interrupt Link [LNKB] (IRQs 9) *0, disabled.
[    0.054163] ACPI: PCI Interrupt Link [LNKC] (IRQs 9) *0, disabled.
[    0.054262] ACPI: PCI Interrupt Link [LNKD] (IRQs *9)
[    0.054360] ACPI: PCI Interrupt Link [LNKE] (IRQs *9)
[    0.054457] ACPI: PCI Interrupt Link [LNKF] (IRQs 5) *0, disabled.
[    0.054555] ACPI: PCI Interrupt Link [LNKG] (IRQs 9) *0, disabled.
[    0.054654] ACPI: PCI Interrupt Link [LNKH] (IRQs 9) *0, disabled.
[    0.054744] vgaarb: device added: PCI:0000:00:02.0,decodes=io+mem,owns=io+mem,locks=none
[    0.054753] vgaarb: loaded
[    0.054816] PCI: Using ACPI for IRQ routing
[    0.055125] hpet clockevent registered
[    0.055129] HPET: 3 timers in total, 0 timers will be used for per-cpu timer
[    0.055135] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
[    0.055142] hpet0: 3 comparators, 64-bit 14.318180 MHz counter
[    0.060008] Switching to clocksource tsc
[    0.061539] pnp: PnP ACPI init
[    0.061549] ACPI: bus type pnp registered
[    0.063303] pnp: PnP ACPI: found 9 devices
[    0.063306] ACPI: ACPI bus type pnp unregistered
[    0.063310] PnPBIOS: Disabled by ACPI PNP
[    0.063321] system 00:04: ioport range 0x600-0x60f has been reserved
[    0.063325] system 00:04: ioport range 0x700-0x70f has been reserved
[    0.063329] system 00:04: ioport range 0x1000-0x107f has been reserved
[    0.063333] system 00:04: ioport range 0x1180-0x11bf has been reserved
[    0.063338] system 00:04: ioport range 0xfe00-0xfe01 has been reserved
[    0.063342] system 00:04: ioport range 0xfe10-0xfe17 has been reserved
[    0.063346] system 00:04: iomem range 0xfebfe000-0xfebfefff has been reserved
[    0.063351] system 00:04: iomem range 0xfebff000-0xfebfffff has been reserved
[    0.063355] system 00:04: iomem range 0xfec00000-0xfec00fff has been reserved
[    0.098056] pci 0000:02:04.0: CardBus bridge, secondary bus 0000:03
[    0.098060] pci 0000:02:04.0:   IO window: 0x003400-0x0034ff
[    0.098065] pci 0000:02:04.0:   IO window: 0x003800-0x0038ff
[    0.098070] pci 0000:02:04.0:   PREFETCH window: 0x40000000-0x43ffffff
[    0.098076] pci 0000:02:04.0:   MEM window: 0x48000000-0x4bffffff
[    0.098081] pci 0000:00:1e.0: PCI bridge, secondary bus 0000:02
[    0.098085] pci 0000:00:1e.0:   IO window: 0x3000-0x3fff
[    0.098092] pci 0000:00:1e.0:   MEM window: 0xe0200000-0xe02fffff
[    0.098097] pci 0000:00:1e.0:   PREFETCH window: 0x40000000-0x43ffffff
[    0.098111] pci 0000:00:1e.0: setting latency timer to 64
[    0.098121] pci 0000:02:04.0: power state changed by ACPI to D0
[    0.098277] ACPI: PCI Interrupt Link [LNKE] enabled at IRQ 9
[    0.098281] PCI: setting IRQ 9 as level-triggered
[    0.098286] pci 0000:02:04.0: PCI INT A -> Link[LNKE] -> GSI 9 (level, low) -> IRQ 9
[    0.098293] pci_bus 0000:00: resource 0 io:  [0x00-0xffff]
[    0.098296] pci_bus 0000:00: resource 1 mem: [0x000000-0xffffffff]
[    0.098300] pci_bus 0000:02: resource 0 io:  [0x3000-0x3fff]
[    0.098304] pci_bus 0000:02: resource 1 mem: [0xe0200000-0xe02fffff]
[    0.098307] pci_bus 0000:02: resource 2 pref mem [0x40000000-0x43ffffff]
[    0.098311] pci_bus 0000:02: resource 3 io:  [0x00-0xffff]
[    0.098314] pci_bus 0000:02: resource 4 mem: [0x000000-0xffffffff]
[    0.098318] pci_bus 0000:03: resource 0 io:  [0x3400-0x34ff]
[    0.098321] pci_bus 0000:03: resource 1 io:  [0x3800-0x38ff]
[    0.098325] pci_bus 0000:03: resource 2 pref mem [0x40000000-0x43ffffff]
[    0.098328] pci_bus 0000:03: resource 3 mem: [0x48000000-0x4bffffff]
[    0.098357] NET: Registered protocol family 2
[    0.098445] IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
[    0.098782] TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
[    0.099662] TCP bind hash table entries: 65536 (order: 7, 524288 bytes)
[    0.100274] TCP: Hash tables configured (established 131072 bind 65536)
[    0.100279] TCP reno registered
[    0.100400] NET: Registered protocol family 1
[    0.100430] pci 0000:00:02.0: Boot video device
[    0.100500] pci 0000:02:08.0: Firmware left e100 interrupts enabled; disabling
[    0.100574] Unpacking initramfs...
[    0.404172] Freeing initrd memory: 7982k freed
[    0.412187] Simple Boot Flag at 0x36 set to 0x1
[    0.412510] audit: initializing netlink socket (disabled)
[    0.412534] type=2000 audit(1269183078.411:1): initialized
[    0.412803] highmem bounce pool size: 64 pages
[    0.412810] HugeTLB registered 4 MB page size, pre-allocated 0 pages
[    0.414601] VFS: Disk quotas dquot_6.5.2
[    0.414676] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[    0.414776] msgmni has been set to 1739
[    0.415028] alg: No test for stdrng (krng)
[    0.415092] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    0.415097] io scheduler noop registered
[    0.415099] io scheduler anticipatory registered
[    0.415102] io scheduler deadline registered
[    0.415144] io scheduler cfq registered (default)
[    0.415358] isapnp: Scanning for PnP cards...
[    0.769146] isapnp: No Plug & Play device found
[    0.770706] Linux agpgart interface v0.103
[    0.770786] agpgart-intel 0000:00:00.0: Intel 855GM Chipset
[    0.772178] agpgart-intel 0000:00:00.0: detected 8060K stolen memory
[    0.773985] agpgart-intel 0000:00:00.0: AGP aperture is 128M @ 0xe8000000
[    0.774073] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    0.774634] ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 9
[    0.774639] serial 0000:00:1f.6: PCI INT B -> Link[LNKB] -> GSI 9 (level, low) -> IRQ 9
[    0.774647] serial 0000:00:1f.6: PCI INT B disabled
[    0.774743] PNP: PS/2 Controller [PNP0303:PS2K,PNP0f13:PS2M] at 0x60,0x64 irq 1,12
[    0.776996] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.777006] serio: i8042 AUX port at 0x60,0x64 irq 12
[    0.777114] mice: PS/2 mouse device common for all mice
[    0.777173] rtc_cmos 00:01: RTC can wake from S4
[    0.777216] rtc_cmos 00:01: rtc core: registered rtc_cmos as rtc0
[    0.777235] rtc0: alarms up to one month, y3k, 242 bytes nvram, hpet irqs
[    0.777249] cpuidle: using governor ladder
[    0.777252] cpuidle: using governor menu
[    0.777257] No iBFT detected.
[    0.777660] TCP cubic registered
[    0.777825] NET: Registered protocol family 10
[    0.778327] lo: Disabled Privacy Extensions
[    0.778676] Mobile IPv6
[    0.778679] NET: Registered protocol family 17
[    0.778700] Using IPI No-Shortcut mode
[    0.778777] PM: Resume from disk failed.
[    0.778785] registered taskstats version 1
[    0.779037] rtc_cmos 00:01: setting system clock to 2010-03-21 14:51:19 UTC (1269183079)
[    0.779093] Freeing unused kernel memory: 372k freed
[    0.779311] Write protecting the kernel text: 2472k
[    0.779336] Write protecting the kernel read-only data: 908k
[    0.804610] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
[    0.909343] device-mapper: uevent: version 1.0.3
[    0.909513] device-mapper: ioctl: 4.15.0-ioctl (2009-04-01) initialised: dm-devel@redhat.com
[    0.940352] thermal LNXTHERM:01: registered as thermal_zone0
[    0.940362] ACPI: Thermal Zone [ATF0] (61 C)
[    1.043848] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/LNXVIDEO:00/input/input1
[    1.043860] ACPI: Video Device [GFX0] (multi-head: yes  rom: yes  post: no)
[    1.167067] usbcore: registered new interface driver usbfs
[    1.167180] usbcore: registered new interface driver hub
[    1.167289] usbcore: registered new device driver usb
[    1.174355] SCSI subsystem initialized
[    1.181122] input: Lid Switch as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input2
[    1.181449] ACPI: Lid Switch [LID0]
[    1.181551] input: Power Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input3
[    1.181561] ACPI: Power Button [PWRB]
[    1.208251] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    1.208480] ACPI: PCI Interrupt Link [LNKH] enabled at IRQ 9
[    1.208485] ehci_hcd 0000:00:1d.7: PCI INT D -> Link[LNKH] -> GSI 9 (level, low) -> IRQ 9
[    1.208505] ehci_hcd 0000:00:1d.7: setting latency timer to 64
[    1.208510] ehci_hcd 0000:00:1d.7: EHCI Host Controller
[    1.208543] ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 1
[    1.208577] ehci_hcd 0000:00:1d.7: debug port 1
[    1.212470] ehci_hcd 0000:00:1d.7: cache line size of 32 is not supported
[    1.214092] ehci_hcd 0000:00:1d.7: irq 9, io mem 0xe0100000
[    1.246860] ehci_hcd 0000:00:1d.7: USB 2.0 started, EHCI 1.00
[    1.246893] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[    1.246897] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.246901] usb usb1: Product: EHCI Host Controller
[    1.246904] usb usb1: Manufacturer: Linux 2.6.32-4-686 ehci_hcd
[    1.246907] usb usb1: SerialNumber: 0000:00:1d.7
[    1.247021] usb usb1: configuration #1 chosen from 1 choice
[    1.247058] hub 1-0:1.0: USB hub found
[    1.247069] hub 1-0:1.0: 6 ports detected
[    1.247931] [drm] Initialized drm 1.1.0 20060810
[    1.266193] uhci_hcd: USB Universal Host Controller Interface driver
[    1.266479] ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 9
[    1.266485] uhci_hcd 0000:00:1d.0: PCI INT A -> Link[LNKA] -> GSI 9 (level, low) -> IRQ 9
[    1.266495] uhci_hcd 0000:00:1d.0: setting latency timer to 64
[    1.266500] uhci_hcd 0000:00:1d.0: UHCI Host Controller
[    1.266517] uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 2
[    1.266543] uhci_hcd 0000:00:1d.0: irq 9, io base 0x00001820
[    1.266589] usb usb2: New USB device found, idVendor=1d6b, idProduct=0001
[    1.266593] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.266596] usb usb2: Product: UHCI Host Controller
[    1.266599] usb usb2: Manufacturer: Linux 2.6.32-4-686 uhci_hcd
[    1.266602] usb usb2: SerialNumber: 0000:00:1d.0
[    1.266926] ACPI: PCI Interrupt Link [LNKG] enabled at IRQ 9
[    1.266931] firewire_ohci 0000:02:04.2: PCI INT C -> Link[LNKG] -> GSI 9 (level, low) -> IRQ 9
[    1.266983] usb usb2: configuration #1 chosen from 1 choice
[    1.267063] hub 2-0:1.0: USB hub found
[    1.267072] hub 2-0:1.0: 2 ports detected
[    1.267274] ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 9
[    1.267279] uhci_hcd 0000:00:1d.1: PCI INT B -> Link[LNKD] -> GSI 9 (level, low) -> IRQ 9
[    1.267286] uhci_hcd 0000:00:1d.1: setting latency timer to 64
[    1.267290] uhci_hcd 0000:00:1d.1: UHCI Host Controller
[    1.267303] uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 3
[    1.267325] uhci_hcd 0000:00:1d.1: irq 9, io base 0x00001840
[    1.267363] usb usb3: New USB device found, idVendor=1d6b, idProduct=0001
[    1.267367] usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.267370] usb usb3: Product: UHCI Host Controller
[    1.267373] usb usb3: Manufacturer: Linux 2.6.32-4-686 uhci_hcd
[    1.267376] usb usb3: SerialNumber: 0000:00:1d.1
[    1.267486] usb usb3: configuration #1 chosen from 1 choice
[    1.267560] hub 3-0:1.0: USB hub found
[    1.267569] hub 3-0:1.0: 2 ports detected
[    1.267721] e100: Intel(R) PRO/100 Network Driver, 3.5.24-k2-NAPI
[    1.267725] e100: Copyright(c) 1999-2006 Intel Corporation
[    1.273725] libata version 3.00 loaded.
[    1.299996] i915 0000:00:02.0: PCI INT A -> Link[LNKA] -> GSI 9 (level, low) -> IRQ 9
[    1.300016] i915 0000:00:02.0: setting latency timer to 64
[    1.304513] [drm] set up 7M of stolen space
[    1.336008] firewire_ohci: Added fw-ohci device 0000:02:04.2, OHCI version 1.10
[    1.336182] e100 0000:02:08.0: PCI INT A -> Link[LNKE] -> GSI 9 (level, low) -> IRQ 9
[    1.358700] e100 0000:02:08.0: PME# disabled
[    1.380810] e100: eth0: e100_probe: addr 0xe0205000, irq 9, MAC addr 00:01:4a:07:4c:1a
[    1.491488] [drm] initialized overlay support
[    1.836079] firewire_core: created device fw0: GUID 0800460301ca8678, S400
[    2.686183] Console: switching to colour frame buffer device 128x48
[    2.692222] fb0: inteldrmfb frame buffer device
[    2.692225] registered panic notifier
[    2.692234] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[    2.692261] ata_piix 0000:00:1f.1: version 2.13
[    2.692273] ata_piix 0000:00:1f.1: enabling device (0005 -> 0007)
[    2.692280] ata_piix 0000:00:1f.1: can't derive routing for PCI INT A
[    2.692323] ata_piix 0000:00:1f.1: setting latency timer to 64
[    2.694494] scsi0 : ata_piix
[    2.694875] scsi1 : ata_piix
[    2.695988] ata1: PATA max UDMA/100 cmd 0x1f0 ctl 0x3f6 bmdma 0x1810 irq 14
[    2.695992] ata2: PATA max UDMA/100 cmd 0x170 ctl 0x376 bmdma 0x1818 irq 15
[    2.860743] ata2.00: ATAPI: MATSHITAUJ-840D, 1.00, max UDMA/33
[    2.876538] ata1.00: HPA unlocked: 268435455 -> 312581808, native 312581808
[    2.876543] ata1.00: ATA-8: SAMSUNG HM160HC, LQ100-10, max UDMA/100
[    2.876547] ata1.00: 312581808 sectors, multi 16: LBA48 
[    2.876698] ata2.00: configured for UDMA/33
[    2.885963] ata1.00: configured for UDMA/100
[    2.886091] scsi 0:0:0:0: Direct-Access     ATA      SAMSUNG HM160HC  LQ10 PQ: 0 ANSI: 5
[    2.888179] scsi 1:0:0:0: CD-ROM            MATSHITA UJ-840D          1.00 PQ: 0 ANSI: 5
[    2.907763] sd 0:0:0:0: [sda] 312581808 512-byte logical blocks: (160 GB/149 GiB)
[    2.907819] sd 0:0:0:0: [sda] Write Protect is off
[    2.907823] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    2.907850] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    2.908008]  sda:sr0: scsi3-mmc drive: 24x/24x writer cd/rw xa/form2 cdda tray
[    2.912834] Uniform CD-ROM driver Revision: 3.20
[    2.913060] sr 1:0:0:0: Attached scsi CD-ROM sr0
[    2.956122]  sda1 sda2 sda3
[    2.987062] sd 0:0:0:0: [sda] Attached SCSI disk
[    2.998766] sd 0:0:0:0: Attached scsi generic sg0 type 0
[    2.999201] sr 1:0:0:0: Attached scsi generic sg1 type 5
[    3.354784] kjournald starting.  Commit interval 5 seconds
[    3.354792] EXT3-fs: mounted filesystem with ordered data mode.
[    4.904528] udev: starting version 151
[    5.305874] Marking TSC unstable due to TSC halts in idle
[    5.306733] processor LNXCPU:00: registered as cooling_device0
[    5.307098] Switching to clocksource hpet
[    5.410325] input: PC Speaker as /devices/platform/pcspkr/input/input4
[    5.411556] sony-laptop: Sony Programmable IO Control Driver v0.6.
[    5.411572] sony-laptop: detected Type2 model
[    5.415160] input: Sony Vaio Keys as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/device:0c/SNY6001:00/input/input5
[    5.415439] input: Sony Vaio Jogdial as /devices/virtual/input/input6
[    5.415871] sony-laptop: device allocated minor is 57
[    5.421010] sony-laptop: Sony Notebook Control Driver v0.6.
[    5.425249] ACPI: Battery Slot [BAT1] (battery present)
[    5.425797] ACPI: AC Adapter [ACAD] (on-line)
[    5.511013] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    5.541775] i801_smbus 0000:00:1f.3: PCI INT B -> Link[LNKB] -> GSI 9 (level, low) -> IRQ 9
[    5.541783] ACPI: I/O resource 0000:00:1f.3 [0x1880-0x189f] conflicts with ACPI region SBUS [0x1880-0x188f]
[    5.541910] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[    5.545892] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[    5.691453] lib80211: common routines for IEEE802.11 drivers
[    5.691458] lib80211_crypt: registered algorithm 'NULL'
[    5.691570] intel_rng: FWH not detected
[    5.703137] input: PS/2 Mouse as /devices/platform/i8042/serio1/input/input7
[    5.726640] ACPI: PCI Interrupt Link [LNKF] enabled at IRQ 5
[    5.726645] PCI: setting IRQ 5 as level-triggered
[    5.726651] tifm_7xx1 0000:02:04.3: PCI INT B -> Link[LNKF] -> GSI 5 (level, low) -> IRQ 5
[    5.728980] input: AlpsPS/2 ALPS GlidePoint as /devices/platform/i8042/serio1/input/input8
[    5.748027] tifm_core: MMC/SD card detected in socket 0:0
[    5.767597] ieee80211: 802.11 data/management/control stack, git-1.1.13
[    5.767600] ieee80211: Copyright (C) 2004-2005 Intel Corporation <jketreno@linux.intel.com>
[    5.869136] ipw2200: Intel(R) PRO/Wireless 2200/2915 Network Driver, 1.2.2kmprq
[    5.869140] ipw2200: Copyright(c) 2003-2006 Intel Corporation
[    5.869236] ipw2200 0000:02:0b.0: power state changed by ACPI to D0
[    5.869250] ipw2200 0000:02:0b.0: PCI INT A -> Link[LNKD] -> GSI 9 (level, low) -> IRQ 9
[    5.869733] ipw2200: Detected Intel PRO/Wireless 2200BG Network Connection
[    5.869780] ipw2200 0000:02:0b.0: firmware: requesting ipw2200-bss.fw
[    6.136598] Intel ICH 0000:00:1f.5: PCI INT B -> Link[LNKB] -> GSI 9 (level, low) -> IRQ 9
[    6.136639] Intel ICH 0000:00:1f.5: setting latency timer to 64
[    6.204332] ipw2200: Radio Frequency Kill Switch is On:
[    6.204334] Kill switch must be turned off for wireless networking to work.
[    6.209117] ipw2200: Detected geography ZZD (13 802.11bg channels, 0 802.11a channels)
[    6.209158] yenta_cardbus 0000:02:04.0: CardBus bridge found [104d:818f]
[    6.209176] yenta_cardbus 0000:02:04.0: Using CSCINT to route CSC interrupts to PCI
[    6.209179] yenta_cardbus 0000:02:04.0: Routing CardBus interrupts to PCI
[    6.209185] yenta_cardbus 0000:02:04.0: TI: mfunc 0x01001b22, devctl 0x64
[    6.440701] yenta_cardbus 0000:02:04.0: ISA IRQ mask 0x0c98, PCI irq 9
[    6.440706] yenta_cardbus 0000:02:04.0: Socket status: 30000006
[    6.440711] pci_bus 0000:02: Raising subordinate bus# of parent bus (#02) from #02 to #06
[    6.440723] yenta_cardbus 0000:02:04.0: pcmcia: parent PCI bridge I/O window: 0x3000 - 0x3fff
[    6.440728] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x3000-0x3fff: clean.
[    6.441000] yenta_cardbus 0000:02:04.0: pcmcia: parent PCI bridge Memory window: 0xe0200000 - 0xe02fffff
[    6.441005] yenta_cardbus 0000:02:04.0: pcmcia: parent PCI bridge Memory window: 0x40000000 - 0x43ffffff
[    6.787779] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x100-0x4ff: excluding 0x4d0-0x4d7
[    6.790127] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x800-0x8ff: clean.
[    6.790783] pcmcia_socket pcmcia_socket0: cs: IO port probe 0xc00-0xcff: clean.
[    6.791527] pcmcia_socket pcmcia_socket0: cs: IO port probe 0xa00-0xaff: clean.
[    7.060023] intel8x0_measure_ac97_clock: measured 55429 usecs (2670 samples)
[    7.060027] intel8x0: clocking to 48000
[    7.060657] Intel ICH Modem 0000:00:1f.6: PCI INT B -> Link[LNKB] -> GSI 9 (level, low) -> IRQ 9
[    7.060680] Intel ICH Modem 0000:00:1f.6: setting latency timer to 64
[    7.164050] MC'97 1 converters and GPIO not ready (0xff00)
[    7.961335] Adding 5245212k swap on /dev/sda3.  Priority:-1 extents:1 across:5245212k 
[    8.123607] EXT3 FS on sda1, internal journal
[  219.552199] kjournald starting.  Commit interval 5 seconds
[  219.552408] EXT3 FS on sda2, internal journal
[  219.552414] EXT3-fs: mounted filesystem with ordered data mode.
[  220.613560] ip_tables: (C) 2000-2006 Netfilter Core Team
[  220.697549] nf_conntrack version 0.5.0 (16019 buckets, 64076 max)
[  220.698070] CONFIG_NF_CT_ACCT is deprecated and will be removed soon. Please use
[  220.698074] nf_conntrack.acct=1 kernel parameter, acct=1 nf_conntrack module option or
[  220.698077] sysctl net.netfilter.nf_conntrack_acct=1 to enable it.
[  220.921212] ADDRCONF(NETDEV_UP): eth0: link is not ready
[  220.924136] e100: eth0 NIC Link is Up 100 Mbps Full Duplex
[  220.924440] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  221.970983] fuse init (API version 7.13)
[  231.792016] eth0: no IPv6 routers present
[libata_hpa1-fdisk-l.txt (text/plain, inline)]
Disk /dev/sda: 160.0 GB, 160041885696 bytes
255 heads, 63 sectors/track, 19457 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0x69696969

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1        1566    12578863+  83  Linux
/dev/sda2            1567       17884   131074335   83  Linux
/dev/sda3           17885       18537     5245222+  82  Linux swap / Solaris
[libata_hpa1-proc.partitions.txt (text/plain, inline)]
major minor  #blocks  name

   8        0  156290904 sda
   8        1   12578863 sda1
   8        2  131074335 sda2
   8        3    5245222 sda3

Bug reassigned from package 'linux-image-2.6.32-4-686' to 'linux-2.6'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 04 Apr 2010 19:48:10 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions linux-2.6/2.6.32-10. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 04 Apr 2010 19:48:10 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-10. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 04 Apr 2010 20:03:20 GMT) Full text and rfc822 format available.

Forcibly Merged 572618 574795. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 04 Apr 2010 20:03:21 GMT) Full text and rfc822 format available.

Changed Bug title to 'libata missing workaround for HPA overlapping normal partitions' from 'Libata transition and HPA caused disk size truncation' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 06 Apr 2010 04:51:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Fri, 14 May 2010 22:42:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 20 May 2010 08:09:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#574795; Package linux-2.6. (Sat, 22 May 2010 10:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cesare Leonardi <celeonar@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 22 May 2010 10:57:07 GMT) Full text and rfc822 format available.

Message #40 received at 574795@bugs.debian.org (full text, mbox):

From: Cesare Leonardi <celeonar@gmail.com>
To: 574795@bugs.debian.org
Subject: Re: Bug#574795: marked as done (libata missing workaround for HPA overlapping normal partitions)
Date: Sat, 22 May 2010 12:53:35 +0200
[Message part 1 (text/plain, inline)]
On 18/05/2010 16:24, Debian Bug Tracking System wrote:
> Your message dated Tue, 18 May 2010 14:22:58 +0000
> with message-id<E1OENhC-0002GA-UW@ries.debian.org>
> and subject line Bug#572618: fixed in linux-2.6 2.6.32-13
> has caused the Debian Bug report #572618,
> regarding libata missing workaround for HPA overlapping normal partitions
> to be marked as done.

I can confirm that this bug is resolved.
I've removed the libata.ignore_hpa=1 kernel parameter and now everything 
keep working. Thank you very much!

Now dmesg shows the new logic that try to understand if the HPA should 
be considered or not (see attached file).

Well done, guys!

Cesare.
[libata-hpa-dmesg.txt (text/plain, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Jun 2010 07:31:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:32:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.